Á propos de ABBYY FormDesigner

Á propos de ABBYY FormDesigner 8.0

ABBYY FormDesigner 8.0 est une application logicielle de création de formulaires lisibles par machine qui seront traités par ABBYY FlexiCapture 8.0 Professional, une application de traitement de formulaires. La conception des formulaires est une étape importante de la création de formulaires, dans la mesure où toutes les autres étapes (numérisation, reconnaissance, vérification et exportation) dépendent de « l'exactitude » du formulaire initial et de sa capacité à être traité par une machine.

Contrairement aux autres éditeurs tels que MS Visio, CorelDRAW ou MS Word, ABBYY FormDesigner 8.0 a été développé spécialement pour la création de formulaires lisibles par machine. Bien qu'elles soient dotées de fonctionnalités étendues, les applications mentionnées ci-dessus doivent faire l'objet de mesures supplémentaires de la part de leurs utilisateurs, afin que ces derniers s'assurent que leurs formulaires remplissent les conditions de lisibilité par la machine - mesurer les éléments des formulaires, contrôler leur forme et leur emplacement sur le formulaire, etc.

Ce programme possède une interface conviviale simple et comprend pourtant de puissants outils faciles à utiliser pour créer des éléments standard que l'on trouve habituellement sur des formulaires lisibles par machine. L'application vous permet de créer des formulaires dropout noir et blanc mais aussi couleur. Les éléments de formulaires créés dans ABBYY FormDesigner 8.0 seront conçus automatiquement en prévision de leur traitement par machine. De plus, le programme vérifiera chaque formulaire créé afin de garantir le succès de son traitement par l'ordinateur. Vous pourrez ainsi créer des formulaires lisibles par machine de façon simple et rapide - le programme se chargera des tâches les plus fastidieuses.

Une fois que vous aurez créé un formulaire dans ABBYY FormDesigner 8.0, vous obtiendrez, en pratique, une description de formulaire toute faite qui pourra être utilisée pour créer un modèle dans ABBYY FlexiCapture 8.0 Professional. (Les modèles décrivent des éléments de formulaires et indiquent aux applications de capture de données où chercher des types d'informations spécifiques dans les formulaires, garantissant ainsi une reconnaissance correcte et fiable des données saisies par le programme.)

Ainsi, ABBYY FormDesigner 8.0 effectue deux tâches : il facilite le développement de formulaires et simplifie le processus de configuration de ABBYY FlexiCapture 8.0 Professional, permettant ainsi à ce dernier de traiter des formulaires créés dans ABBYY FormDesigner 8.0 avec une intervention humaine minimum.

ABBYY FormDesigner 8.0 vous permet de publier vos formulaires (c'est-à-dire de les protéger contre les changements ou modifications accidentels) mais aussi de les enregistrer dans divers formats d'image avant de les envoyer à une imprimerie.


Créer, enregistrer et ouvrir un formulaire

Créer un formulaire

L' Assistant de création des formulaires (Fichier>Nouveau…) vous guidera dans toutes les étapes de la création de formulaires. Une fois que l'assistant aura fini de créer le formulaire, il vous suffira d'ajouter les éléments de formulaire requis (à l'aide de la barre d'outils des Éléments de formulaire) et d'enregistrer votre formulaire.

Pour plus d'informations, reportez-vous à la rubrique Créer un formulaire.

Enregistrer un formulaire

Pour enregistrer un formulaire, sélectionnez les commandes standard Enregistrer ou Enregistrer sous… dans le menu Fichier.

Ouvrir un formulaire

Pour ouvrir un formulaire :

  • Sélectionnez l'option Ouvrir… dans le menu Fichier, ou

  • Cliquez sur l'icône Ouvrir dans la barre d'outils Standard, ou

  • Appuyez sur CTRL+O.


Publier un formulaire

Lors de la publication d'un formulaire, vous lui attribuez l'état Publié, ce qui empêche de modifier le formulaire. Parallèlement, la lisibilité par machine du formulaire sera vérifiée et le formulaire se verra assigner un numéro d'identification unique.

Pour publier un formulaire, sélectionnez Publier un formulaire dans le menu Fichier.

Les formulaires publiés sont en lecture seule. Pour réaliser des modifications dans un formulaire publié, sélectionnez Enregistrer une copie modifiable sous… dans le menu Fichier. Vous devrez enregistrer votre formulaire sous un autre nom avant de pouvoir modifier sa conception.

Pour plus d'informations, reportez-vous à la rubrique Enregistrer et publier un formulaire ; vérifier la lisibilité par machine d'un formulaire.


Enregistrer un formulaire comme image

Pour enregistrer votre formulaire comme image, sélectionnez l'option Fichier images… (Formulaire>Exporter vers >Fichier images…) et dans la boîte de dialogue Enregistrer l'image sous qui s'affiche, sélectionnez le format d'image requis, entrez un nom pour le fichier image, et sélectionnez le dossier dans lequel il sera enregistré.

Pour plus d'informations, reportez-vous à la rubrique Exporter un formulaire vers un fichier image.


Créer un modèle pour ABBYY FlexiCapture

L'avantage important de ABBYY FormDesigner 8.0 est dès que vous aurez créé un formulaire dans ABBYY FormDesigner, vous obtiendrez automatiquement une description du formulaire qui pourra être utilisée pour créer un modèle de formulaire dans ABBYY FlexiCapture 8.0 Professional.

Pour obtenir une description pour ABBYY FlexiCapture 8.0 Professional :

  1. Créez un formulaire dans ABBYY FormDesigner 8.0.
  2. Publiez le formulaire (Fichier>Publier un formulaire).
  3. Exportez le formulaire publié au format Définition de formulaire XML (Fichier>Exporter vers>Définition de formulaire XML…). Dans la boîte de dialogue Exporter vers un fichier de définition de formulaire XML qui s'affiche, tapez un nom pour le fichier et sélectionnez le dossier dans lequel il sera enregistré.
  4. Exécutez ABBYY FlexiCapture 8.0 Professional et ouvrez la boîte de dialogue Modèles de document (Projet>Modèles de document...).
  5. Cliquez sur Importer et sélectionnez le fichier *.xfd récemment créé.
Pour plus d'informations, reportez-vous à la rubrique Exporter un formulaire au format Définition de formulaire XML (*.xfd)


Nouveautés dans ABBYY FormDesigner 8.0

Cette nouvelle version d'ABBYY FormDesigner inclut les nouvelles fonctionnalités suivantes :

  • Assistance pour formulaires multi-page

  • Création de formulaires Á partir d'exemple

  • Création de formulaires dropout en couleur

  • Deux nouveaux éléments : tableau et groupe d'éléments

  • Règles pour ajuster les éléments

  • Enregistrer des images au format EMF

  • Capacité à modifier des structures de documents

  • Capacité à imprimer des formulaires partiellement remplis


Installer, exécuter et désinstaller ABBYY FormDesigner

Installer, exécuter et désinstaller ABBYY FormDesigner 8.0

ABBYY FormDesigner 8.0 est installé et désinstallé avec ABBYY FlexiCapture 8.0 Professional.

Pour exécuter ABBYY FormDesigner 8.0, sélectionnez l'option ABBYY FormDesigner 8.0 dans Démarrer/Programmes/ABBYY FlexiCapture 8.0/Outils .


Fenêtre principale de l'application

La fenêtre principale de l'application s'affiche au démarrage d'ABBYY FormDesigner 8.0.

M'afficher la fenêtre principale de l'application

La barre Menu contient les menus suivants : Fichier, Édition, Affichage, Formulaire, Éléments, Outils, et Aide.

La Barre d'outils standard comprend les boutons permettant de réaliser les tâches les plus fréquentes.

La Barre des outils de création contient des boutons pour modifier des éléments de formulaire.

La Barre d'outils de mise en forme contient des boutons et des commandes pour mettre en page du texte.

La barre d'outils Éléments de formulaire contient des boutons permettant d'ajouter des éléments au formulaire.

La Règle principale est une barre exprimée en unités de mesure qui est utilisée comme un assistant à la modification et permet de placer et aligner de façon précise les éléments de formulaire.

La fenêtre Formulaire affiche le formulaire actuel. Seul un formulaire peut être affiché à un moment spécifique.

Structure du document. Ce volet affiche la hiérarchie des champs d'un document. Chaque champ possède un ou plusieurs éléments qui lui sont liés.

Fenêtre Propriétés. Cette fenêtre permet d'afficher et de modifier les propriétés des éléments sélectionnés. Les onglets affichés dans cette fenêtre dépendent du type d'élément sélectionné. Pour ouvrir un onglet, cliquez sur son nom à droite

La barre d'état affiche les informations concernant l'élément actuel : les coordonnées de l'angle supérieur gauche de l'élément en mm, la taille de l'élément en mm, des informations supplémentaires concernant l'élément (le type de l'élément). Le type et la taille de page sont aussi affichés dans la barre d'état. Des informations supplémentaires (nombre de cellules de caractères dans chaque ligne et colonne) sont disponibles pour les champs d'entrée, les champs de date et les champs numériques.


Personnaliser la fenêtre principale de l'application

Vous pouvez modifier l'apparence de la fenêtre principale de l'application en sélectionnant Options… dans le menu Outils.

M'afficher la boîte de dialogue Options

Option

Description

Affichage

Langue de l'interface

Sélectionne une langue de l'interface. Cette langue sera utilisée pour tous les messages du programme, titres des boîtes de dialogue et options de menu. Pour valider les modifications, cliquez sur OK et relancez ABBYY FormDesigner 8.0.
Par défaut, la langue de l'interface est identique à celle que vous avez sélectionnée lors de l'installation.

Grille

Afficher la grille

Affiche la grille.

L'option n'est pas cochée par défaut.

Largeur

Définit la largeur des cellules de la grille en mm.

La valeur par défaut est 2 mm.

Hauteur

Définit la hauteur des cellules de la grille en mm.

La valeur par défaut est 2 mm.

Étendre à la grille

Aligne l'angle supérieur gauche des éléments récemment créés sur le nœud de grille le plus proche. En déplaçant un élément de formulaire, il sera également aligné sur le nœud de grille le plus proche.

Couleur

Modifie la couleur des marges, des règles et de l'arrière-plan du texte édité tel qu'affiché à l'écran. Dans le volet Éléments, sélectionnez un élément et cliquez sur le rectangle de couleur en dessous. Dans la boîte de dialogue Couleur qui s'affiche, sélectionnez la couleur de votre choix.

Afficher la règle

Affiche/masque la règle.

Afficher les marges

Affiche/masque les marges du formulaire.

Éditeur de texte

Largeur de l'onglet

Définit le nombre d'espaces qui sera inséré dans l'éditeur de texte lorsque vous appuierez sur la touche Tab.

Exporter

XFD

Format d'enregistrement de l'image dans fichier xfd

Dans la zone de liste déroulante, sélectionnez le format dans lequel votre image de formulaire sera enregistrée lors de l'exportation vers un fichier XFD. Vous avez deux possibilités :

  • EMF
  • TIFF

Image

Résolution des fichiers TIFF

Spécifie la résolution pour les fichiers TIFF dans laquelle les formulaires sont exportés.


Barres d'outils

Il existe quatre barres d'outils dans ABBYY FormDesigner 8.0 : Standard, Outils de création, Mise en forme, et Éléments de formulaire.

Vous pouvez afficher/masquer une barre d'outils en la sélectionnant/désélectionnant dans Affichage>Barres d'outils ou dans le menu contextuel (cliquez avec le bouton droit de la souris sur une barre d'outils pour afficher son menu contextuel.)

Les barres d'outils contiennent des boutons qui donnent un accès rapide aux outils et commandes du programme. Vous pouvez également avoir accès aux mêmes commandes via les menus correspondants ou en appuyant sur leurs raccourcis clavier.

Vous pouvez personnaliser la taille des boutons de la barre d'outils. Par défaut, les boutons sont petits. Pour modifier la taille des boutons, sélectionnez Affichage>Barres d'outils>Gros boutons de la barre d'outils.

Pour voir ce que fait un bouton, arrêtez simplement le pointeur sur le bouton jusqu'à ce qu'une infobulle apparaisse.


Barre d'outils Standard

Dans la barre d'outils Standard, vous trouverez des boutons permettant de lancer des outils standard et d'effectuer des actions standard telles que la création d'un nouveau formulaire ou l'ouverture d'un formulaire existant, l'annulation ou le rétablissement d'actions passées, etc. Cliquez sur un bouton pour effectuer la commande correspondante.

M'afficher la barre d'outils Standard

Boutons de la barre d'outils Standard :

Bouton | Description
Nouveau | Crée un nouveau formulaire avec des éléments de base.
Ouvrir... | Ouvre un formulaire.
Enregistrer | Enregistre un formulaire.
Aperçu avant impression | Affiche un aperçu du formulaire à l'impression.
Imprimer | Imprime un formulaire.
Couper | Coupe la sélection et la place dans le Presse-papiers.
Copier | Copie une sélection dans le Presse-papiers.
Coller | Colle le contenu du Presse-papiers dans le formulaire.
Annuler | Annule les résultats de la dernière action.
Rétablir | Annule les résultats de la dernière action Annuler.
Zoom arrière | Réduit la taille de l'image de moitié.
Zoom avant | Multiplie la taille de l'image par deux.
Échelle | Modifie l'échelle de l'image.


Barre des outils de création

Dans la barre des outils de création, vous trouverez des boutons permettant de modifier les éléments de formulaire. Cliquez sur un bouton pour lancer l'outil de conception correspondant.

M'afficher la barre des outils de création

Boutons de la barre des outils de création :

Bouton | Description
Afficher la grille | Affiche/masque la grille.
Afficher la règle principale | Affiche/masque la règle principale.
Aligner sur la grille | Aligne l'angle supérieur gauche des éléments récemment créés sur le nœud de grille le plus proche. En déplaçant un élément de formulaire, il sera également aligné sur le nœud de grille le plus proche.
Aligner sur la gauche | Aligne les éléments sélectionnés sur le bord gauche du dernier élément sélectionné.
Centrer horizontalement | Centre les éléments sélectionnés sur le centre du dernier élément sélectionné sans modifier leur position verticale.
Aligner sur la droite | Aligne les éléments sélectionnés sur le bord droit du dernier élément sélectionné.
Aligner en haut | Aligne les éléments sélectionnés sur le bord supérieur du dernier élément sélectionné.
Centrer verticalement | Centre les éléments sélectionnés sur le centre du dernier élément sélectionné sans modifier leur position horizontale.
Aligner en bas | Aligne les éléments sélectionnés sur le bord inférieur du dernier élément sélectionné.
Aligner sur la grille | Aligne les angles supérieurs gauches de tous les éléments sélectionnés sur les nœuds de grille les plus proches.
Espacer uniformément à travers | Espace les éléments uniformément à travers la page.
Espacer uniformément vers le bas | Espace les éléments uniformément vers le bas de la page.
Uniformiser la hauteur | Uniformise la hauteur de tous les éléments sélectionnés avec celle du dernier élément sélectionné.
Uniformiser la largeur | Uniformise la largeur de tous les éléments sélectionnés avec celle du dernier élément sélectionné.
Uniformiser la largeur et la hauteur | Uniformise la hauteur et la largeur de tous les éléments sélectionnés avec celles du dernier élément sélectionné.
Ajuster à la grille | Etend les bordures de l'élément sélectionné sur les lignes de grille les plus proches.
Fusionner | Fusionne les éléments sélectionnés dans le formulaire.
Fractionner | Fractionne les éléments sélectionnés dans le formulaire.
Ajouter aux éléments fusionnés | Ajoute des éléments aux éléments précédemment fusionnés. Il faut sélectionner les éléments à ajouter et les éléments précédemment fusionnés.
Mettre au premier plan | Place les éléments sélectionnés au premier plan.
Mettre à l'arrière-plan | Place les éléments sélectionnés à l'arrière-plan.
Aligner les règles d'alignement aux éléments | Activer/désactiver le reliage automatique des éléments aux règles. Si ce mode est activé, lorsque vous déplacez une règle sur le formulaire, elle sera automatiquement reliée aux éléments qui sont suffisamment proches d'elle.
Règle verticale | Crée une règle verticale.
Règle horizontale | Crée une règle horizontale.


Barre d'outils Mise en forme

Dans la barre d'outils Mise en forme, vous trouverez les boutons permettant de mettre en forme du texte dans un formulaire. Cliquez sur un bouton pour choisir l'outil de mise en forme correspondant.

M'afficher la barre d'outils Mise en forme

Boutons de la barre d'outils Mise en forme :

Bouton | Description
Police | Modifie la police du texte dans les éléments sélectionnés.
Taille de la police | Modifie la taille de la police du texte dans les éléments sélectionnés.
Gras | Met le texte sélectionné en gras.
Italique | Met le texte sélectionné en italique.
Soulignement | Souligne le texte sélectionné.
Aligner à gauche | Aligne le texte de l'élément sélectionné sur le bord gauche de l'élément.
Centrer horizontalement | Centre horizontalement le texte de l'élément sélectionné :
Aligner à droite | Aligne le texte de l'élément sélectionné sur le bord droit de l'élément.
Justifié | Justifie le texte de l'élément sélectionné.
Aligner en bas | Aligne le texte de l'élément sélectionné sur le bord inférieur de l'élément.
Centrer verticalement | Centre verticalement le texte de l'élément sélectionné.
Aligner en haut | Aligne le texte de l'élément sélectionné sur le bord supérieur de l'élément.
Á gauche du texte | Met le champ de coche à gauche du texte descriptif.
Au-dessus du texte | Met le champ de coche au-dessus du texte descriptif.
Á droite du texte | Met le champ de coche à droite du texte descriptif.
Au-dessous du texte | Met le champ de coche au-dessous du texte descriptif.

Remarque : Vous pouvez acheter des polices supplémentaires et une assistance pour polices multilingues sur www.paratype.com/shop/.


Barre d'outils Éléments de formulaire

Dans la barre d'outils Éléments de formulaire, vous trouverez des boutons permettant d'ajouter de nouveaux éléments au formulaire. Cliquez sur un bouton pour ajouter l'élément correspondant au formulaire.

M'afficher la barre d'outils Éléments de formulaire

Boutons de la barre d'outils Éléments de formulaire :

Bouton | Description
Outil de sélection | Sélectionne un outil dans la barre d'outils ou un élément sur le formulaire.
Champ d'entrée | Ajoute un élément champ d'entrée au formulaire.
Champ de date | Ajoute un champ de date au formulaire.
Champ numérique | Ajoute un champ numérique au formulaire.
Champ de coche | Ajoute un élément champ de coche au formulaire.
Tableau | Ajoute un élément tableau au formulaire.
Séparateur vertical | Ajoute un séparateur vertical à un tableau.
Séparateur horizontal | Ajoute un séparateur horizontal à un tableau.
Supprimer un séparateur | Supprime un séparateur du tableau.
Groupe d'éléments | Ajoute un groupe d'éléments.
Texte | Ajoute un élément texte au formulaire.
Séparateur de ligne | Ajoute un élément séparateur de ligne au formulaire.
Cadre | Ajoute un élément cadre au formulaire.
Image | Ajoute un élément image au formulaire.
Ancre | Ajoute un élément ancre au formulaire.
Identificateur | Ajoute un élément identificateur au formulaire.


Créer un formulaire

La procédure de création de formulaires se compose des étapes suivantes : analyse, conception, et impression.

Lors de l' analyse, le concepteur doit effectuer les opérations suivantes :

  1. Analysez le contenu du formulaire et attribuez des titres aux champs ainsi que l'énoncé exact des explications.
  2. Sélectionnez le type de formulaire le plus approprié (formulaire noir et blanc avec des bordures raster, formulaire linéaire noir et blanc, formulaire dropout couleur, etc.), ainsi que la méthode d'impression (dans une imprimerie, sur une imprimante, à l'aide d'une machine Xerox, publié sur Internet, etc.).
  3. Assurez-vous que le formulaire sera lisible par machine.

Lors de la conception, le concepteur doit effectuer les opérations suivantes :

  1. Créez un formulaire sur votre ordinateur.

  2. Publiez le formulaire, c'est-à-dire verrouillez-le pour édition de sorte qu'aucune modification ne soit effectuée au niveau de sa conception (cela offre la garantie que seul un formulaire possédant la même source est utilisé pour imprimer tous les formulaires qui sont complètement identiques).

Lors de l' impression, le formulaire sera prêt pour l'impression et sera imprimé.

Nouveau formulaire

Fomulaires multi-page

Créer des formulaires à partir d'un exemple

Ajouter, modifier et supprimer des éléments de formulaire

Sélectionner et déplacer les éléments de formulaire

Enregistrer et publier un formulaire ; vérifier la lisibilité par machine d'un formulaire

Imprimer un formulaire


Nouveau formulaire

Pour créer un nouveau formulaire, exécutez l' Assistant de création de formulaires en sélectionnant Fichier>Nouveau… ou en appuyant sur CTRL+N.

D'abord, l'assistant vous demandera si vous souhaitez créer un formulaire vide ou un formulaire avec des éléments de base déjà placés.

  1. Si vous sélectionnez Formulaire vide, ABBYY FormDesigner 8.0 créera un formulaire sans éléments. Si vous souhaitez créer un formulaire multi-page, entrez le nombre souhaité de pages dans le champ Nombre de pages.

  2. Si vous sélectionnez Formulaire avec éléments de base, ABBYY FormDesigner 8.0 créera un formulaire en noir et blanc avec des éléments de base :
    ancres
    Éléments de formulaire lisible par machine, utilisés pour faire correspondre un formulaire à son modèle et pour déterminer son orientation au cours de son traitement.
     (quatre carrés noirs dans les angles du formulaire et un carré noir supplémentaire ailleurs dans le formulaire ; ultérieurement lors de la modification du formulaire, vous pourrez remplacer les carrés noirs par d'autres ancres de votre choix), élément identificateur
    Élément de formulaire lisible par machine permettant au programme de traitement de formulaires d'identifier le formulaire.
     (un code barre à chiffres), et un élément texte
    Élément de formulaire lisible par machine comprenant des descriptions et du texte descriptif, tels que des titres de champ, des instructions sur la manière de remplir le formulaire, etc.
     endroit où le titre du formulaire devra être placé.

    Si vous sélectionnez Formulaire avec éléments de base et sélectionnez aussi l'option Réglages avancés, l'assistant vous guidera dans les étapes de la création de formulaires : spécifier un titre pour votre formulaire, régler sa taille et son orientation, sélectionner le type d'ancres à utiliser, définir un identificateur de formulaire et ajouter un exemple complété pour vous montrer la manière dont le formulaire doit être rempli. Une fois que l'assistant aura terminé, il vous suffira d'ajouter les éléments requis et d'enregistrer le formulaire.

    Pour créer un formulaire multi-page avec des éléments de base, entrez le nombre souhaité de pages dans le champ Nombre de pages. Le titre du formulaire ne sera affiché que sur la première page du formulaire.

  3. Si vous sélectionnez À partir d'un exemple de formulaire, vous pourrez utiliser un exemple de formulaire existant pour votre nouveau formulaire. L'assistant de création de formulaires vous incitera à sélectionner un fichier *.dtf contenant l'exemple de formulaire de votre choix. La première page de l'exemple sera affichée dans la fenêtre d'aperçu.

Paramètres du formulaire


Fomulaires multi-page

Dans ABBYY FormDesigner 8.0, vous pouvez créer des formulaires multi-page composés de plusieurs pages. Pour chaque page, vous devez spécifier un nom et un nombre de ses copies dans le formulaire. Une description de formulaire multi-page est exportée au format XFD et peut alors être utilisée dans ABBYY FlexiCapture 8.0 Professional pour créer un modèle pour un document multi-page.

Créer un formulaire multi-page

Pour créer un formulaire multi-page, commencez par créer un nouveau formulaire dans l' Assistant de création des formulaires et entrez le nombre requis de pages à l'étape 1 de l'assistant. Dès que vous aurez parcouru toutes les étapes de l'assistant, vous obtiendrez un formulaire contenant le nombre spécifié de pages vierges ou de pages avec des éléments de base. Vous pouvez aussi utiliser un exemple de formulaire pour créer un formulaire multi-page.

Ajouter des pages

De nouvelles pages peuvent être ajoutées à n'importe quel type de formulaire. Pour ajouter une nouvelle page, sélectionnez Formulaire>Ajouter une page ou cliquez avec le bouton droit de la souris sur le nom de la page situé en bas du formulaire que vous créez. Vous pouvez ajouter une page vierge ou une page s'appuyant sur un exemple.

Un page peut apparaître plusieurs fois dans un formulaire. Vous pouvez spécifier le nombre minimum et maximum d'apparitions des pages dans la boîte de dialogue Paramètres de page (Formulaire>Propriétés du page…). Vous pouvez également spécifier un nom pour la page actuelle dans cette boîte de dialogue.

Exporter des formulaires multi-page

Des images de formulaires multi-page peuvent être exportées dans n'importe lequel des formats d'images supportés. Vous avez l'option d'enregistrer chaque page dans un fichier image séparé ou toutes les pages dans un seul fichier image.


Créer des formulaires à partir d'un exemple

Vous pouvez utiliser des exemples pour créer de nouveaux formulaires ou des pages de formulaire.

Pour créer un exemple formulaire (ou page) :

  1. Créez un formulaire (ou page) dans ABBYY Form Designer
  2. Sélectionnez Fichier>Enregistrer sous…
  3. Dans la zone de liste déroulante Enregistrer comme type, sélectionnez Fichier d'exemple de formulaire ou Fichier d'exemple de page
  4. Cliquez sur Enregistrer

Des exemples de formulaire sont des fichiers binaires avec l'extension *.dtf. Des exemples de page sont enregistrés au format *.ptf qui est une version modifiée du format *.fdd.

Pour créer un nouveau formulaire à partir d'un exemple de formulaire, sélectionnez À partir d'un exemple de formulaire dans l' Assistant de création des formulaires.

Pour ajouter de nouvelles pages à un formulaire multi-page à partir d'un exemple de page, sélectionnez Formulaire>Ajouter une page>À partir d'un exemple de page….


Paramètres du formulaire

Les principales propriétés d'un formulaire peuvent être visualisées dans la boîte de dialogue Propriétés du formulaire (Formulaire>Propriétés du formulaire…).

M'afficher la boîte de dialogue Propriétés du formulaire
Option | Description
Auteur | Nom de la personne qui a créé le formulaire.
État | État du formulaire : Brouillon, si des modifications sont autorisées sur le formulaire ; Publié, si le formulaire est en lecture seule.
Date publiée | Date de publication du formulaire.
Identificateur | Valeur de l'identificateur de formulaire.
Fichier | Chemin d'accès au fichier contenant le formulaire.

Paramètres de la page du formulaire

Les paramètres de la page spécifient la taille de la page, son orientation, les retraits et le style. Pour modifier les paramètres de la page, sélectionnez Formulaire>Propriétés du page… ou cliquez avec le bouton droit de la souris sur la page et sélectionnez Propriétés de la page… dans le menu contextuel.

M'afficher la boîte de dialogue Paramètres de page

Option

Description

Généralités

Nom

Spécifie le nom de la page

Apparitions min

Détermine le nombre minimum d'apparitions de la page actuelle dans le formulaire.

Apparitions mini

Détermine le nombre maximum d'apparitions de la page actuelle dans le formulaire.

Identificateur de page

Affiche la valeur de l'identificateur de page.

Taille

Taille de la page

Sélectionnez l'un des formats de page standard dans la zone de liste déroulante (A3, A4 ou A5), ou définissez votre format de page personnalisé. Pour définir votre propre format de page, sélectionnez l'option Format personnalisé dans la liste et spécifiez la largeur et la hauteur souhaitées dans les champs correspondants.

Largeur

Définit la largeur de la page.

Hauteur

Définit la hauteur de la page.

Orientation

Portrait

Définit l'orientation de la page sur portrait.

Paysage

Définit l'orientation de la page sur paysage.

Marges

En haut

Définit la largeur de la marge supérieure.

En bas

Définit la largeur de la marge inférieure.

Gauche

Définit la largeur de la marge de gauche.

Droit

Définit la largeur de la marge de droite.

Couleur

Style

Définit le style du formulaire :

  • Formulaire dropout gris
  • Formulaire noir et blanc
  • Formulaire dropout orange
  • Formulaire dropout rouge
  • Formulaire dropout vert

Arrière-plan* de la page

Couleur*

Sélectionne une couleur d'arrière-plan du formulaire dans la zone de liste déroulante.

Remarque : Couleur ne peut être sélectionnée que pour les formulaires dropout couleur. Blanc est la couleur par défaut pour les formulaires en noir et blanc.

Taille*

Utilisez cette liste pour sélectionner la zone couverte par la couleur de fond. Vous avez deux possibilités :

  • Page entière (toute la page sera remplie, à l’exception des éléments de formulaire).
  • Marges internes (la page sera remplie, mais les marges de page et les éléments de formulaire resteront en blanc).

* - Cette propriété ne peut être spécifiée que pour les formulaires dropout uniquement.


Ajout, modification et suppression d'éléments de formulaire

Une fois un nouveau formulaire créé, vous pouvez ajouter des éléments au formulaire et les modifier.

Conseil
Prenez soin de discuter avec vos clients de la conception et du contenu des formulaires avant d'y ajouter des éléments.

Ordre recommandé pour ajouter des éléments dans le formulaire :

  1. définition des marges
  2. ajout de marques de référence (ancres)
  3. ajout d'autres éléments de formulaire

Dans le cas d'un formulaire lisible par machine, il doit comporter des marges le long de chacun de ses quatre côtés. La largeur de la marge par défaut sera de 10 mm. Vous pouvez modifier la largeur par défaut dans la boîte de dialogue Paramètres de page (Formulaire>Propriétés du page…>Taille).

Les marges apparaissent à l'écran sous forme de lignes pointillées. Si vous souhaitez que les marges s'affichent sur le formulaire, sélectionnez l'option Afficher les marges dans l'onglet Affichage de la boîte de dialogue Options (Outils>Options…).

Vous pouvez spécifier les propriétés de chaque élément.

Ancre

Texte

Champ d'entrée

Champ de date

Champ numérique

Champ de coche

Séparateur de ligne

Cadre

Image

Identificateur de formulaire

Tableau

Groupe d'éléments


Ancres

Une ancre est un élément de formulaire lisible par machine, utilisé pour associer un formulaire à son modèle et pour déterminer son orientation pendant le traitement.

Ajouter des ancres à un formulaire est une étape importante de la création du formulaire.

ABBYY FormDesigner 8.0 vous permet d'ajouter deux types d'ancre à vos formulaires : des carrés noirs et des angles.
Type | Description
Carré noir | L'ancre est en forme de carré.
Angle | L'ancre a la forme d'un angle.

Vous ne pouvez utiliser qu'un type d'ancre sur un formulaire. Lorsque vous spécifiez un type d'ancre à utiliser sur votre formulaire, vous devez également définir ses propriétés :

  • Taille : la longueur de chaque côté du carré noir ou la longueur de chaque côté de l'angle
  • Largeur de la ligne : la largeur de ligne de chaque côté de l'angle (ce paramètre ne s'applique pas aux carrés noirs)

Ajouter un élément ancre

Modifier un élément ancre

Supprimer un élément ancre


Ajouter un élément ancre

Vous pouvez ajouter une ancre à votre formulaire. La taille de l'ancre est définie par l'utilisateur.

Pour ajouter une ancre :

  1. Dans la barre d'outils Éléments de formulaire, sélectionnez l'outil Ancre.
  2. Cliquez dans le formulaire à l'endroit où vous souhaitez ajouter une ancre, appuyez sur le bouton gauche de la souris et faites-la glisser en diagonale. Un rectangle s'affichera à l'écran. L'ancre (contre l'arrière-plan blanc) sera placée dans l'angle supérieur gauche du rectangle lorsque vous relâcherez le bouton de la souris.

Remarque : Vous pouvez également créer un élément avec un simple clic de souris : une fois que vous aurez sélectionné l'outil requis, cliquez simplement dans le formulaire à l'endroit où vous souhaitez ajouter l'élément. La taille par défaut sera utilisée pour l'élément. Pour placer plusieurs éléments de même type sur votre formulaire, maintenez appuyé la touche CTRL et cliquez à plusieurs reprises à l'endroit où vous souhaitez positionner les éléments.

Le type par défaut de l'ancre ajoutée à chaque nouveau formulaire avec des éléments basiques est carré noir. Si vous souhaitez modifier le type d'ancre en angle, cliquez avec le bouton droit de la souris sur l'ancre et sélectionnez Propriétés dans le menu contextuel. Dans la boîte de dialogue qui s'ouvre, modifiez le type d'ancre.


Modifier un élément ancre

Les propriétés d'ancre suivantes seront appliquées à la totalité du formulaire : Type, Taille, et Largeur de la ligne (pour les angles).

Pour chaque ancre, les propriétés suivantes peuvent être spécifiées : position, taille et type. Les propriétés de l'ancre ne dépendent pas du type de formulaire.

Vous pouvez modifier les propriétés de l'élément ancre de la fenêtre Propriétés située au bas de la fenêtre principale. Sélectionnez l'élément à afficher ou à modifier, puis sélectionnez Affichage>Propriétés dans le menu principal.

Option

Description

Élément

Type

Ancre.

Position & Taille

Gauche

Fixe la distance que vous souhaitez entre le bord gauche du formulaire et l'élément avec aucun retrait gauche.

En haut

Fixe la distance entre le bord supérieur du formulaire et l'élément.

Largeur

Fixe la largeur d'un élément ancre.

Hauteur

Fixe la hauteur d'un élément ancre.

Important!

Pour modifier la taille d'une Ancre, sélectionnez l'onglet Ancre.

Ancre

Type

Dans la zone de liste déroulante, sélectionnez le type d'ancre que vous souhaitez utiliser sur votre formulaire - un carré noir ou un angle.

Chaque formulaire ne peut contenir qu'un seul type d'ancre.

Taille

Fixe la taille de l'ancre:
la longueur de chaque côté du carré noir ou

la longueur de chaque côté de l'angle.

Largeur de la ligne (angles uniquement)

Fixe la largeur de ligne des côtés des angles (varie entre 0,3 mm et 1 mm).


Supprimer un élément ancre

Pour supprimer une ancre :

  1. Sélectionnez une ancre que vous souhaitez supprimer.

  2. Dans le menu Édition, sélectionnez Supprimer (ou sélectionnez l'option Supprimer sur le menu contextuel).


Texte

Texte est un élément de formulaire lisible par machine comprenant des descriptions et du texte descriptif, tels que des titres de champ, des instructions sur la manière de remplir le formulaire, etc.

Ajouter un élément texte

Modifier un élément texte

Supprimer un élément texte


Ajouter un élément texte

Pour ajouter un élément texte :

  1. Dans la barre d'outils Éléments de formulaire, sélectionnez l'outil Texte.

  2. Cliquez sur le formulaire à l'endroit où vous souhaitez ajouter un élément texte, maintenez appuyé le bouton gauche de la souris et faites-la glisser en diagonale. Relâchez la souris.

Remarque : Vous pouvez également créer un élément avec un simple clic de souris : une fois que vous aurez sélectionné l'outil requis, cliquez simplement dans le formulaire à l'endroit où vous souhaitez ajouter l'élément. La taille par défaut sera utilisée pour l'élément. Pour placer plusieurs éléments de même type sur votre formulaire, maintenez appuyé la touche CTRL et cliquez à plusieurs reprises à l'endroit où vous souhaitez positionner les éléments.


Modifier un élément texte

Pour chaque élément texte, les propriétés suivantes sont spécifiées : taille et position de l'élément, texte, police, couleur du texte, retour à la ligne automatique, alignement horizontal et vertical, orientation, et couleur d'arrière-plan de l'élément.

Vous pouvez modifier le texte d'un élément directement dans le champ de cet élément. Pour autoriser le mode modification de texte, cliquez avec le bouton droit de la souris sur l'élément ou sélectionnez Texte>Éditer un texte dans le menu contextuel. Puis utilisez les raccourcis clavier pour modifier.

Vous pouvez modifier les propriétés de l'élément texte de la fenêtre Propriétés située au bas de la fenêtre principale. Sélectionnez l'élément à afficher ou à modifier, puis sélectionnez Affichage>Propriétés dans le menu principal.

Option

Description

Élément

Type

Texte

Groupe Position & Taille

Gauche

 Fixe la distance entre le bord gauche du formulaire et l'élément.

En haut

Fixe la distance entre le bord supérieur du formulaire et l'élément.

Largeur

 Fixe la largeur de l'élément texte.

Hauteur

 Fixe la hauteur de l'élément texte.

Texte

Texte

Texte à l'intérieur de l'élément.

Police

Police utilisée pour le texte à l'intérieur de l'élément.
Pour modifier la police, sa taille et son style (italique, gras, souligné, etc.), cliquez sur Modifier … et dans la boîte de dialogue Police qui s'affiche, sélectionnez le police, la taille de police et le style souhaités.

Couleur

Sélectionne une couleur de texte dans la zone de liste déroulante*.

Retour à la ligne automatique

Insère des sauts de ligne du texte sans couper les mots.

Alignement

Horizontal

Aligne horizontalement le texte à l'intérieur de l'élément :

  • Centre - centre le texte horizontalement

  • Gauche - aligne le texte sur le bord gauche de l'élément

  • Droite - aligne le texte sur le bord droit de l'élément

Vertical

Aligne verticalement le texte à l'intérieur de l'élément :

  • Bas - aligne le texte au bord inférieur de l'élément

  • Centre - centre le texte verticalement

  • Haut - aligne le texte sur le bord supérieur de l'élément

Orientation

Fixe l'orientation du texte.

  • Normal (horizontal) - le texte sera placé horizontalement, de gauche à droite
  • Vertical (haut en bas) - le texte sera placé verticalement, de haut en bas
  • Vertical (bas en haut) - le texte sera placé verticalement, de bas en haut

Arrière-plan

Identique à l'arrière-plan du formulaire

Applique à l'arrière-plan du texte la même couleur qu'à l'arrière-plan du formulaire.

Autre

Sélectionne une couleur d'arrière-plan du texte dans la zone de liste déroulante*.

*- La gamme de couleurs disponibles dépend du type de votre formulaire (blanc et noir ou couleur).

Remarque : Vous pouvez acheter des polices supplémentaires et une assistance pour polices multilingues sur www.paratype.com/shop/.


Supprimer un élément texte

Pour supprimer un élément texte :

  1. Sélectionnez l'élément texte que vous souhaitez supprimer.
  2. Dans le menu Édition, sélectionnez Supprimer (ou sélectionnez l'option Supprimer sur le menu contextuel).


Champs d'entrée

Un champ d'entrée est un élément de formulaire lisible par machine dans lequel le texte sera entré par la personne remplissant le formulaire.

M'afficher un élément champ d'entrée

Ajouter un élément champ d'entrée

Modifier un élément champ d'entrée

Supprimer un élément champ d'entrée


Ajouter un élément champ d'entrée

Pour ajouter un élément champ d'entrée :

  1. Dans la barre d'outils Éléments de formulaire, sélectionnez l'outil Champ d'entrée.

  2. Cliquez sur le formulaire à l'endroit où vous souhaitez ajouter un élément champ d'entrée, appuyez sur le bouton gauche de la souris et faites-la glisser en diagonale.

  3. Un rectangle s'affichera à l'écran. Ajustez la taille de l'élément ajouté*. Relâchez la souris.

Remarque : Vous pouvez également créer un élément avec un simple clic de souris : une fois que vous aurez sélectionné l'outil requis, cliquez simplement dans le formulaire à l'endroit où vous souhaitez ajouter l'élément. La taille par défaut sera utilisée pour l'élément. Pour placer plusieurs éléments de même type sur votre formulaire, maintenez appuyé la touche CTRL et cliquez à plusieurs reprises à l'endroit où vous souhaitez positionner les éléments.

* - Vous ne pouvez modifier que la taille verticale d'un élément champ d'entrée si Lignes multiples est autorisé dans les propriétés de l'élément.


Modifier un élément champ d'entrée

Pour chaque élément champ d'entrée, les propriétés suivantes peuvent être spécifiées : position et taille, le type de marquage, la taille des cellules, le nombre de lignes de texte dans l'élément, la largeur de la ligne de marquage, la couleur de la ligne de marquage, le texte des conseils, la couleur du texte des conseils, la police du texte des conseils, le mode de sélection de la taille de la police du texte des conseils et la couleur d'arrière-plan de l'élément et le champ relié.

Vous pouvez modifier les propriétés de l'élément champ d'entrée de la fenêtre Propriétés située au bas de la fenêtre principale. Sélectionnez l'élément à afficher ou à modifier, puis sélectionnez Affichage>Propriétés dans le menu principal.

Option

Description

Élément

Type

Champ d'entrée.

Position & Taille

Gauche

Fixe la distance entre le bord gauche du formulaire et l'élément.

En haut

Fixe la distance entre le bord supérieur du formulaire et l'élément.

Largeur

Fixe la largeur de l'élément champ d'entrée.

Hauteur

Fixe la hauteur de l'élément champ d'entrée.

Important!
Vous pouvez modifier le nombre de lignes dans un champ d'entrée à la seule condition que vous ayez sélectionné la case à cocher Lignes multiples dans l'onglet Marquage . Utilisez l’onglet Marquage pour modifier la hauteur des cellules.

Alignement

Horizontal

Aligne horizontalement le texte à l'intérieur de l'élément :

  • Centre - centre le texte horizontalement
  • Gauche - aligne le texte sur le bord gauche de l'élément
  • Droite - aligne le texte sur le bord droit de l'élément

Vertical

Aligne verticalement le texte à l'intérieur de l'élément :

  • Bas - aligne le texte au bord inférieur de l'élément
  • Centre - centre le texte verticalement
  • Haut - aligne le texte sur le bord supérieur de l'élément

Orientation

 Fixez l'orientation du texte.
  • Normal (horizontal) - le texte sera placé horizontalement, de gauche à droite
  • Vertical (haut en bas) - le texte sera placé verticalement, de haut en bas
  • Vertical (bas en haut) - le texte sera placé verticalement, de bas en haut

Marquage

Type de marquage

Fixe le type de marquage pour le texte :

  • Lettres dans des cadres séparés en pointillés

  • Lettres dans des cadres séparés

  • Lettres séparées type peigne

  • Texte encadré avec lettres séparées type peigne

  • Lettres encadrées

Taille des cellules

Fixe la taille des cellules de caractères :

  • Normal – taille de cellule standard (4x5 mm)

  • Grand – taille de cellule maximum (5x6,5 mm)

  • Petit – taille de cellule minimum (3x4 mm)

Ligne de marquage en gras (pour tous les types de marquage sauf pour les Lettres dans des cadres séparés en pointillés)

Met en gras le cadre des cellules.

Couleur de marquage

Sélectionne une couleur de marquage dans la zone de liste déroulante*.

Lignes multiples

Ajoute des lignes multiples au champ d'entrée.

Conseil

Texte

Fixe le texte des conseils. Le conseil apparaîtra dans le champ d'entrée du formulaire : chaque lettre du texte des conseils sera placée dans la cellule correspondante.

Couleur

Sélectionne une couleur pour le texte des conseils dans la zone de liste déroulante*.

Police

Sélectionne une police pour le texte des conseils.

Police taille automatique

Sélectionne automatiquement la taille de la police du texte des conseils, selon la hauteur des cellules de caractère du champ.

Arrière-plan

Identique à l'arrière-plan du formulaire

Applique à l'arrière-plan du champ d'entrée la même couleur qu'à l'arrière-plan du formulaire.

Autre

Sélectionne une couleur d'arrière-plan champ d'entrée dans la zone de liste déroulante *.

Champ relié

Champ relié

Á chaque fois que vous créez un élément sur votre formulaire, un champ est créé, par défaut, dans la structure du document à laquelle cet élément est relié. Pour relier votre élément à un autre champ du même type, sélectionnez le nom du champ dans la zone de liste déroulante.

*- La gamme de couleurs disponibles dépend du type de votre formulaire (blanc et noir ou couleur).

Remarque : Vous pouvez acheter des polices supplémentaires et une assistance pour polices multilingues sur www.paratype.com/shop/.


Supprimer un élément champ d'entrée

Pour supprimer un élément champ d'entrée :

  1. Sélectionnez l'élément champ d'entrée que vous souhaitez supprimer.

  2. Dans le menu Édition, sélectionnez Supprimer (ou sélectionnez l'option Supprimer sur le menu contextuel).


Champs de date

Élément champ de date est un élément de formulaire lisible par machine qui est supposé saisir la date en remplissant le formulaire.

Afficher le champ de date

Ajouter un élément Champ de date

Modifier un élément Champ de date

Supprimer un élément Champ de date


Ajouter un élément Champ de date

Pour ajouter un Champ de date

Un élément de formulaire lisible par machine dans lequel la date doit être entrée par la personne remplissant le formulaire.
en remplissant un formulaire :
  1. Dans la barre d'outils Éléments de formulaire, sélectionnez l'outil Champ de date.
  2. Cliquez dans le formulaire à l'endroit où vous souhaitez ajouter l'élément, puis déplacez la souris en diagonale tout en appuyant sur le bouton gauche de la souris. Un rectangle s'affichera à l'écran. Une fois le bouton de souris relâché, le champ de date sera placé dans le coin supérieur gauche de la zone de référence.

Remarque : Vous pouvez également créer un élément avec un simple clic de souris : une fois que vous aurez sélectionné l'outil requis, cliquez simplement dans le formulaire à l'endroit où vous souhaitez ajouter l'élément. La taille par défaut sera utilisée pour l'élément. Pour placer plusieurs éléments de même type sur votre formulaire, maintenez appuyé la touche CTRL et cliquez à plusieurs reprises à l'endroit où vous souhaitez positionner les éléments.


Modifier un élément Champ de date

Pour chaque élément Champ de date

Un élément de formulaire lisible par machine qui est supposé saisir la date en remplissant le formulaire.
les propriétés suivantes sont spécifiées : la position et la taille des éléments, le marquage de texte, la taille des cellules de caractère, les lignes multiples, la ligne de marquage en gras/normal, la couleur du marquage, le format de date, le nombre de cellules de caractère pour la date, le type de séparateur, la couleur du séparateur, la couleur du texte des conseils, la police des conseils, la police du texte des conseils, la sélection automatique de la hauteur de police du texte des conseils, la couleur d'arrière-plan des éléments, le champ relié.

Vous pouvez modifier les propriétés de l'élément champ de date de la fenêtre Propriétés située au bas de la fenêtre principale. Sélectionnez l'élément à afficher ou à modifier, puis sélectionnez Affichage>Propriétés dans le menu principal.

Option

Description

Élément

Type

Champ de date.

Groupe Position & Taille

Gauche

Fixe la distance que vous souhaitez entre le bord gauche du formulaire et l'élément avec aucun retrait gauche.

En haut

Fixe la distance entre le bord supérieur du formulaire et l'élément.

Largeur

Fixe la largeur de l'élément Champ de date.

Hauteur

Fixe la hauteur de l'élément Champ de date.

Important!

Pour modifier la hauteur des cellules de caractère, allez dans l'onglet Marquage.

Alignement

Horizontal

Aligne horizontalement le texte à l'intérieur de l'élément :

  • Centre - centre le texte horizontalement
  • Gauche - aligne le texte sur le bord gauche de l'élément
  • Droite - aligne le texte sur le bord droit de l'élément

Vertical

Aligne verticalement le texte à l'intérieur de l'élément :

  • Bas - aligne le texte au bord inférieur de l'élément
  • Centre - centre le texte verticalement
  • Haut - aligne le texte sur le bord supérieur de l'élément

Orientation

Fixez l'orientation du texte.

  • Normal (horizontal) - le texte sera placé horizontalement, de gauche à droite
  • Vertical (haut en bas) - le texte sera placé verticalement, de haut en bas
  • Vertical (bas en haut) - le texte sera placé verticalement, de bas en haut

Marquage

Type de marquage

Sélectionnez un type de marquage dans la liste :

  • Lettres dans des cadres séparés en pointillés
  • Lettres dans des cadres séparés
  • Lettres séparées type peigne
  • Texte encadré avec lettres séparées type peigne
  • Lettres encadrées

Taille des cellules

Sélectionne une taille de cellule dans la liste :

  • Standard - taille de cellule standard recommandée (4x5 mm)
  • Maximum - taille maximale de cellule recommandée (5x6,5 mm)
  • Minimum - taille minimale de cellule recommandée (3x4 mm)

Ligne de marquage en gras (lorsque tout type de marquage à l'exception de Lettres dans des cadres séparés en pointillés est sélectionné)

Sélectionne une ligne de marquage de texte en gras.

Couleur de marquage

Sélectionne une couleur de marquage dans la zone de liste déroulante*.

Date

Format de date

Spécifie un format de date :

  • JJ.MM.AAAA

  • MM.JJ.AAAA

  • AAAA.MM.J

Chiffres pour l'année

Spécifie le nombre de cellules pour une année :

  • 2 (2 cellules seront disponibles)

  • 4 (4 cellules seront disponibles)

Séparateur

Sélectionne un séparateur pour les dates :

  • .

  • /

  • -

Couleur

Sélectionne une couleur de séparateur dans la zone de liste déroulante*.

Texte des conseils

Sélectionne une couleur pour le texte des conseils dans la zone de liste déroulante. Le texte des conseils apparaîtra dans le champ de date du formulaire : chaque lettre du texte des conseils sera placée dans la cellule correspondante.

Couleur

Sélectionne une couleur pour le texte des conseils dans la zone de liste déroulante*.

Police

Sélectionne une police pour le texte des conseils.

Police taille automatique

Sélectionne automatiquement la taille de la police du texte des conseils, selon la hauteur des cellules de caractère du champ.

Arrière-plan*

Identique à l'arrière-plan du formulaire*

Applique à l'arrière-plan de l'élément champ de date la même couleur qu'à l'arrière-plan du formulaire.

Autre

Sélectionne une couleur d'arrière-plan champ de date dans la zone de liste déroulante *.

Champ relié

Champ relié

Á chaque fois que vous créez un élément sur votre formulaire, un champ est créé, par défaut, dans la structure du document à laquelle cet élément est relié. Pour relier votre élément à un autre champ du même type, sélectionnez le nom du champ dans la zone de liste déroulante.

*- La gamme de couleurs disponibles dépend du type de votre formulaire (blanc et noir ou couleur).

Remarque : Vous pouvez acheter des polices supplémentaires et une assistance pour polices multilingues sur www.paratype.com/shop/.


Supprimer un élément Champ de date

Pour supprimer un élément champ de date :

  1. Sélectionnez l'élément Champ de date ;
  2. Sélectionnez l'option Supprimer (menu Édition>Supprimer ou l'option Supprimer dans le menu contextuel).


Champs numériques

Un champ numérique est un élément de formulaire lisible par machine, qui est supposé saisir des chiffres en remplissant le formulaire.

M'afficher un élément champ numérique

Ajouter un élément Champ numérique

Modifier un élément Champ numérique

Supprimer un élément Champ numérique


Ajouter un élément Champ numérique

Pour ajouter un champ numérique

Élément de formulaire lisible par machine où les nombres doivent être entrés par la personne remplissant le formulaire.
élément sur le formulaire :
  1. Sur la barre d'outils Éléments de formulaire, sélectionnez l'outil Champ numérique.
  2. Cliquez dans le formulaire à l'endroit où vous souhaitez placer l'élément, appuyez sur le bouton gauche de la souris et faites-la glisser en diagonale. Un rectangle s'affichera à l'écran. Ajustez la taille de l'élément ajouté. Relâchez la souris.

Remarque : Vous pouvez également créer un élément avec un simple clic de souris : une fois que vous aurez sélectionné l'outil requis, cliquez simplement dans le formulaire à l'endroit où vous souhaitez ajouter l'élément. La taille par défaut sera utilisée pour l'élément. Pour placer plusieurs éléments de même type sur votre formulaire, maintenez appuyé la touche CTRL et cliquez à plusieurs reprises à l'endroit où vous souhaitez positionner les éléments.


Modifier un élément Champ numérique

Pour chaque champ numérique

Un élément d'un formulaire lisible par machine, qui est supposé saisir les chiffres lors du remplissage du formulaire.
élément, les propriétés suivantes sont spécifiées : position et taille des éléments, marquage de texte, taille des cellules de caractère, lignes multiples, ligne de marquage en gras/normal, couleur du marquage, nombre de cellules de caractère disponibles pour la fraction d'un nombre décimal, séparateur, couleur du séparateur, couleur du texte des conseils, police du texte des conseils, police du texte des conseils, sélection automatique de la hauteur de la police du texte des conseils, couleur d'arrière-plan des éléments, et champs reliés.

Vous pouvez modifier les propriétés de l'élément champ numérique de la fenêtre Propriétés située au bas de la fenêtre principale. Sélectionnez l'élément à afficher ou à modifier, puis sélectionnez Affichage>Propriétés dans le menu principal.

Option

Description

Élément

Type

Champ numérique.

Groupe Position & Taille

Gauche

Fixe la distance que vous souhaitez entre le bord gauche du formulaire et l'élément avec aucun retrait gauche.

En haut

Fixe la distance entre le bord supérieur du formulaire et l'élément.

Largeur

Fixe la largeur d'un élément champ numérique.

Hauteur

Fixe la hauteur d'un élément champ numérique.

Alignement

Horizontal

Aligne horizontalement le texte à l'intérieur de l'élément :

  • Centre - centre le texte horizontalement
  • Gauche - aligne le texte sur le bord gauche de l'élément
  • Droite - aligne le texte sur le bord droit de l'élément

Vertical

Aligne verticalement le texte à l'intérieur de l'élément :

  • Bas - aligne le texte au bord inférieur de l'élément
  • Centre - centre le texte verticalement
  • Haut - aligne le texte sur le bord supérieur de l'élément

Orientation

 Fixe l'orientation du texte.
  • Normal (horizontal) - le texte sera placé horizontalement, de gauche à droite
  • Vertical (haut en bas) - le texte sera placé verticalement, de haut en bas
  • Vertical (bas en haut) - le texte sera placé verticalement, de bas en haut

Marquage

Type de marquage

Sélectionne un type de marquage dans la liste :

  • Lettres dans des cadres séparés en pointillés
  • Lettres dans des cadres séparés
  • Lettres séparées type peigne
  • Texte encadré avec lettres séparées type peigne
  • Lettres encadrées

Taille des cellules

Sélectionne une taille de cellule dans la liste :

  • Standard - taille de cellule standard recommandée (4x5 mm)
  • Maximum - taille maximale de cellule recommandée (5x6,5 mm)
  • Minimum - taille minimale de cellule recommandée (3x4 mm)

Ligne de marquage en gras (lorsque tout type de marquage à l'exception de Lettres dans des cadres séparés en pointillés est sélectionné)

Sélectionne une ligne de marquage de texte en gras.

Couleur de marquage

Sélectionne une couleur de marquage dans la zone de liste déroulante*.

Nombre

Places des décimales

Sélectionne le nombre de places de décimales pour les nombres décimaux.

Séparateur

Sélectionne un séparateur pour les nombres :

  • .

  • /

  • -

Couleur

Sélectionne une couleur de séparateur dans la zone de liste déroulante*.

Texte des conseils

Sélectionne une couleur pour le texte des conseils. Le conseil apparaîtra dans le champ numérique du formulaire : chaque lettre dans la cellule correspondante.

Couleur

Sélectionne une couleur pour le texte des conseils dans la zone de liste déroulante*.

Police

Sélectionne une police pour le texte des conseils.

Police taille automatique

Sélectionne automatiquement la taille de la police du texte des conseils, selon la hauteur des cellules de caractère du champ.

Arrière-plan

Identique à l'arrière-plan du formulaire

Applique à l'arrière-plan du Champ numérique la même couleur qu'à l'arrière-plan du formulaire.

Autre

Sélectionne une couleur d'arrière-plan du champ numérique dans la zone de liste déroulante *.

Champ relié

Champ relié

Á chaque fois que vous créez un élément sur votre formulaire, un champ est créé, par défaut, dans la structure du document à laquelle cet élément est relié. Pour relier votre élément à un autre champ du même type, sélectionnez le nom du champ dans la zone de liste déroulante.

*- La gamme de couleurs disponibles dépend du type de votre formulaire (blanc et noir ou couleur).

Remarque : Vous pouvez acheter des polices supplémentaires et une assistance pour polices multilingues sur www.paratype.com/shop/.


Supprimer un élément Champ numérique

Pour supprimer un élément champ numérique :

  1. Sélectionnez un élément champ numérique :
  2. Sélectionnez l'option Supprimer (menu Édition>Supprimer ou l'option Supprimer dans le menu contextuel).


Champs de coche

Un champ de coche est un élément de formulaire lisible par machine (en général une case à cocher) que l'utilisateur remplit en insérant une marque (par ex. une coche, une croix, etc.).

Ajouter un élément champ de coche

Modifier un élément champ de coche

Supprimer un élément champ de coche


Ajouter un champ de coche

Pour ajouter un élément champ de coche:

  1. Sur la barre d'outils Éléments de formulaire, sélectionnez l'outil Champ de coche.

  2. Cliquez sur le formulaire à l'endroit où vous souhaitez ajouter un élément champ de coche, maintenez appuyé le bouton gauche de la souris et faites-la glisser en diagonale. Relâchez la souris.

Remarque : Vous pouvez également créer un élément avec un simple clic de souris : une fois que vous aurez sélectionné l'outil requis, cliquez simplement dans le formulaire à l'endroit où vous souhaitez ajouter l'élément. La taille par défaut sera utilisée pour l'élément. Pour placer plusieurs éléments de même type sur votre formulaire, maintenez appuyé la touche CTRL et cliquez à plusieurs reprises à l'endroit où vous souhaitez positionner les éléments.


Modifier un champ de coche

Pour chaque élément champ de coche, les propriétés suivantes peuvent être spécifiées : la position du texte, la taille du champ, la largeur de la bordure, la couleur de la bordure, l’espacement, le texte, la police, le retour à la ligne automatique, la couleur du texte, la couleur d'arrière-plan, le champ relié.

Vous pouvez modifier les propriétés de l'élément Champ de coche de la fenêtre Propriétés située au bas de la fenêtre principale. Sélectionnez l'élément à afficher ou à modifier, puis sélectionnez Affichage>Propriétés dans le menu principal.

Pour modifier le texte descriptif d'un champ de coche, double-cliquez sur la zone de texte.

Option

Description

Élément

Type

Champ de coche.

Groupe Position & Taille

Gauche

Fixe la distance que vous souhaitez entre le bord gauche du formulaire et l'élément avec aucun retrait gauche.

En haut

Fixe la distance entre le bord supérieur du formulaire et l'élément.

Largeur

Fixe la largeur d'un élément champ de coche.

Hauteur

Fixe la hauteur d'un élément champ de coche.

Texte

Texte

Texte descriptif accompagnant le champ de coche.

Police

Police du texte descriptif.
Pour modifier la police, sa taille et son style (italique, gras, souligné, etc.), cliquez sur Modifier … et dans la boîte de dialogue Police qui s'affiche, sélectionnez la police, la taille de police et le style souhaités.

Couleur

Sélectionne une couleur d'arrière-plan texte dans la zone de liste déroulante *.

Retour à la ligne automatique

Insère des sauts de ligne du texte sans couper les mots.

Champ de coche

Type

Forme du Champ de coche:

  • Carré

  • Cercle

  • Soulignement

Position

Fixe la position du Champ de coche par rapport au texte descriptif :

  • Á gauche du texte - champ de coche à gauche du texte

  • Á droite du texte - champ de coche à droite du texte

  • Au-dessus du texte - champ de coche au-dessus du texte

  • En dessous du texte - champ de coche en dessous du texte

Taille

Une zone de liste déroulante contenant des tailles de champ prédéfinies (3,5x3,5 4x4 4,5x4,5 ou 5x5 mm).

Largeur de la ligne

Fixe la largeur des bordures de champ (varie entre 0,4 et 0,8 mm).

Espacement

Fixe l'espace entre le champ de coche et le texte descriptif (varie entre 2 mm et 7 mm).

Couleur

Sélectionne une couleur de bordure de champ dans la zone de liste déroulante*.

Arrière-plan

Identique à l'arrière-plan du formulaire

Applique à l'arrière-plan du Champ de coche la même couleur qu'à l'arrière-plan du formulaire..

Autre

Sélectionne une couleur d'arrière-plan champ de coche dans la zone de liste déroulante *.

Champ relié

Champ relié

Á chaque fois que vous créez un élément sur votre formulaire, un champ est créé, par défaut, dans la structure du document à laquelle cet élément est relié. Pour relier votre élément à un autre champ du même type, sélectionnez le nom du champ dans la zone de liste déroulante.

*- La gamme de couleurs disponibles dépend du type de votre formulaire (blanc et noir ou couleur).

Remarque : Vous pouvez acheter des polices supplémentaires et une assistance pour polices multilingues sur www.paratype.com/shop/.


Supprimer un champ de coche

Pour supprimer un élément champ de coche :

  1. Sélectionnez l'élément champ de coche que vous souhaitez supprimer.
  2. Dans le menu Édition, sélectionnez Supprimer (ou sélectionnez l'option Supprimer sur le menu contextuel).


Séparateurs de ligne

Un séparateur de ligne est un élément de formulaire lisible par machine en forme de ligne noire horizontale ou verticale.

Ajouter un élément séparateur de ligne

Modifier un élément séparateur de ligne

Supprimer un élément séparateur de ligne


Ajouter un élément séparateur de ligne

Pour ajouter un élément séparateur de ligne :

  1. Dans la barre d'outils Éléments de formulaire, sélectionnez l'outil Séparateur de ligne.

  2. Cliquez sur le formulaire à l'endroit où vous souhaitez ajouter un élément séparateur de ligne, appuyez avec le bouton gauche de la souris et faites-la glisser en diagonale. Un rectangle s'affichera à l'écran. Ajustez la taille de l'élément ajouté. Relâchez la souris.

Remarque : Vous pouvez également créer un élément avec un simple clic de souris : une fois que vous aurez sélectionné l'outil requis, cliquez simplement dans le formulaire à l'endroit où vous souhaitez ajouter l'élément. Par défaut, un séparateur horizontal sera créé. Appuyez sur le bouton MAJ pour créer un séparateur vertical. La taille par défaut sera utilisée pour l'élément. Pour placer plusieurs éléments de même type sur votre formulaire, maintenez appuyé la touche CTRL et cliquez à plusieurs reprises à l'endroit où vous souhaitez positionner les éléments.


Modifier un élément séparateur de ligne

Pour chaque élément séparateur de ligne, les propriétés suivantes peuvent être spécifiées : nom, position et taille, style, et largeur et couleur de la ligne.

Vous pouvez modifier les propriétés de l'élément séparateur de ligne de la fenêtre Propriétés située au bas de la fenêtre principale. Sélectionnez l'élément à afficher ou à modifier, puis sélectionnez Affichage>Propriétés dans le menu principal.

Option

Description

Élément

Type

Séparateur de ligne.

Groupe Position & Taille

Gauche

Fixe la distance que vous souhaitez entre le bord gauche du formulaire et l'élément avec aucun retrait gauche.

En haut

Fixe la distance entre le bord supérieur du formulaire et l'élément.

Largeur

Fixe la largeur d'un élément séparateur de ligne.

Hauteur

Fixe la hauteur de l'élément séparateur de ligne.

Ligne

Largeur

Fixe la largeur du séparateur de ligne (varie entre 0,1 mm et 2,5 mm).

Style

Fixe le style de la ligne :

  • Tirets

  • Pointillés

  • Plein

Couleur

 Sélectionne une couleur de séparateur de ligne dans la zone de liste déroulante.

Remarque : La gamme de couleurs disponibles dépend du type de votre formulaire (blanc et noir ou couleur). Dans le cas de formulaires en noir et blanc, les séparateurs sont noirs.


Supprimer un élément séparateur de ligne

Pour supprimer un élément séparateur de ligne :

  1. Sélectionnez l'élément séparateur de ligne que vous souhaitez supprimer.

  2. Dans le menu Édition, sélectionnez Supprimer (ou sélectionnez l'option Supprimer sur le menu contextuel).


Cadres

Un cadre est un élément de formulaire lisible par machine contenant une zone sur un formulaire.

M'afficher un élément de cadre

Ajouter un élément de cadre

Modifier un élément de cadre

Supprimer un élément de cadre


Ajouter un élément de cadre

Pour ajouter un élément de cadre :

  1. Dans la barre d'outils Éléments de formulaire, sélectionnez l'outil Cadre.

  2. Cliquez dans le formulaire à l'endroit où vous souhaitez ajouter l'élément cadre, appuyez sur le bouton gauche de la souris et faites-la glisser en diagonale. Un rectangle s'affichera à l'écran. Ajustez la taille de l'élément ajouté. Relâchez la souris.

Remarque : Vous pouvez également créer un élément avec un simple clic de souris : une fois que vous aurez sélectionné l'outil requis, cliquez simplement dans le formulaire à l'endroit où vous souhaitez ajouter l'élément. La taille par défaut sera utilisée pour l'élément. Pour placer plusieurs éléments de même type sur votre formulaire, maintenez appuyé la touche CTRL et cliquez à plusieurs reprises à l'endroit où vous souhaitez positionner les éléments.


Modifier un élément de cadre

Pour chaque élément cadre, les propriétés suivantes peuvent être spécifiées : position et taille, largeur et couleur de la ligne, style.

Vous pouvez modifier les propriétés de l'élément cadre de la fenêtre Propriétés située au bas de la fenêtre principale. Sélectionnez l'élément à afficher ou à modifier, puis sélectionnez Affichage>Propriétés dans le menu principal

Option

Description

Élément

Type

Cadre

Groupe Position & Taille

Gauche

Fixe la distance que vous souhaitez entre le bord gauche du formulaire et l'élément avec aucun retrait gauche.

En haut

Fixe la distance entre le bord supérieur du formulaire et l'élément.

Largeur

Fixe la largeur d'un élément cadre.

Hauteur

Fixe la hauteur d'un élément cadre.

Ligne

Largeur

Fixe la largeur du cadre (varie entre 0,1 mm et 2,5 mm).

Style

Fixe le style du cadre :

  • Tirets

  • Pointillés

  • Plein

Couleur

Sélectionne une couleur de cadre dans la zone de liste déroulante.

Remarque : La gamme de couleurs disponibles dépend du type de votre formulaire (blanc et noir ou couleur).


Supprimer un élément de cadre

Pour supprimer un élément cadre :

  1. Sélectionnez l'élément cadre que vous souhaitez supprimer.

  2. Dans le menu Édition, sélectionnez Supprimer (ou sélectionnez l'option Supprimer sur le menu contextuel).


Images

Une image est un élément de formulaire lisible par machine contenant une image.

Ajouter un élément d'image

Modifier un élément d'image

Supprimer un élément d'image


Ajouter un élément d'image

Pour ajouter un élément d'image :

  1. Dans la barre d'outils Éléments de formulaire, sélectionnez l'outil Image.

  2. Cliquez dans le formulaire à l'endroit où vous souhaitez ajouter l'élément image, appuyez sur le bouton gauche de la souris et faites-la glisser en diagonale. Un rectangle s'affichera à l'écran. Ajustez la taille de l'élément ajouté.

Remarque : Vous pouvez également créer un élément avec un simple clic de souris : une fois que vous aurez sélectionné l'outil requis, cliquez simplement dans le formulaire à l'endroit où vous souhaitez ajouter l'élément. La taille par défaut sera utilisée pour l'élément. Pour placer plusieurs éléments de même type sur votre formulaire, maintenez appuyé la touche CTRL et cliquez à plusieurs reprises à l'endroit où vous souhaitez positionner les éléments.

  3. Dans la boîte de dialogue Ouvrir une image qui s'affiche, recherchez le fichier contenant l'image que vous souhaitez ajouter au formulaire.


Modifier un élément d'image

Pour chaque élément image, les propriétés suivantes peuvent être spécifiées : position et taille, mode de changement de la taille, alignement, fichier d'image source et couleur d'arrière-plan.

Vous pouvez modifier les propriétés de l'élément Image de la fenêtre Propriétés située au bas de la fenêtre principale. Sélectionnez l'élément à afficher ou à modifier, puis sélectionnez Affichage>Propriétés dans le menu principal.

Option

Description

Élément

Type

Image.

Groupe Position & Taille

Gauche

Fixe la distance que vous souhaitez entre le bord gauche du formulaire et l'élément avec aucun retrait gauche.

En haut

Fixe la distance entre le bord supérieur du formulaire et l'élément.

Largeur

Fixe la largeur de l'élément Image .

Hauteur

Fixe la hauteur de l'élément Image .

Image

Mode taille

Modifie la taille de l'élément dans un des trois modes :

  • Clip – modifie la taille de l'élément mais pas celle de l'image ni ses proportions.
    L'image elle-même ne peut pas être agrandie dans ce mode.
    Si l'élément devient plus petit que l'image, une partie de celle-ci sera invisible sur le formulaire.

  • Etirer – modifie la taille de l'élément et rétrécit ou agrandit l'image en fonction de la taille de l'élément. L'image entière sera toujours affichée, mais ses proportions ne seront pas conservées.

  • Zoom – modifie la taille de l'élément et réduit ou agrandit la taille de l'image proportionnellement à celle de l'élément. L'image entière sera toujours affichée et ses proportions seront conservées.

Alignement

Aligne l'image à l'intérieur de l'élément :

  • Supérieur gauche – place l'image dans l'angle supérieur gauche de l'élément

  • Supérieur droit – place l'image dans le coin supérieur droit de l'élément

  • Centre – place l'image au centre de l'élément

  • Inférieur gauche – place l'image dans l'angle inférieur gauche de l'élément

  • Inférieur droit – place l'image dans l'angle inférieur droit de l'élément

Source

Indique le fichier image source.

Pour indiquer le fichier source à partir duquel l'image sera rechargée :

  1. Cliquez sur « … ».

  2. Dans la boîte de dialogue qui s'affiche, recherchez le fichier contenant l'image que vous souhaitez ajouter au formulaire.

Les formats d'image suivants sont pris en charge :

  • Bitmap (*.bmp)
  • DCX (*.dcx)
  • JPEG (*.jpg; *.jpeg; *.jfif)
  • JPEG-2000 (*.jp2; *.j2c)
  • PCX (*.pcx)
  • PNG (*.png)
  • TIFF (*.tif; *.tiff)
  • PDF (*.pdf)

Arrière-plan

Identique à l'arrière-plan du formulaire

Applique à l'arrière-plan de l' Image la même couleur qu'à l'arrière-plan du formulaire.

Autre

Sélectionne une couleur d'arrière-plan de l'image dans la zone de liste déroulante.

Remarque: La gamme de couleurs disponibles dépend du type de votre formulaire (blanc et noir ou couleur).


Supprimer un élément d'image

Pour supprimer un élément image :

  1. Sélectionnez l'élément image que vous souhaitez supprimer.
  2. Dans le menu Édition, sélectionnez Supprimer (ou sélectionnez l'option Supprimer sur le menu contextuel).


Identificateurs de formulaire

Identificateurs

Un identificateur est un élément de formulaire lisible par machine qui permet au programme de traitement des formulaires d'identifier le formulaire ou l'une de ses pages.

Nous vous recommandons d'ajouter des identificateurs à vos formulaires. Cela permet au programme de traitement des formulaires d'identifier l'appartenance de chaque formulaire à un ensemble donnée de formulaires pendant le traitement.

Un élément identificateur peut identifier soit un formulaire entier soit une page particulière sur laquelle il est situé. Vous pouvez également spécifier une valeur personnalisée pour un identificateur.

ABBYY FormDesigner 8.0 peut ajouter les types suivants d'identificateur de formulaire à vos formulaires : code barre uniquement, code barre avec chiffres et chiffres uniquement. Tous ces types d'identificateur représentent en réalité un nombre unique de treize chiffres affecté à un formulaire lors de sa publication. Avant de publier a formulaire, le terme « Brouillon » sera écrit sur l'élément identificateur de formulaire.

Le code barre uniquement et le code barre à chiffres peuvent être personnalisés en sélectionnant le type de code barre (EAN13 ou EAN8).

Type | Description
Code barre uniquement | Un code barre sera utilisé pour identifier le formulaire.
Code barre à chiffres | Un code barre à chiffres sera utilisé pour identifier le formulaire (les chiffres peuvent être placés soit au-dessus, soit en dessous des barres du code barre).
Chiffres uniquement 1236489271602 | Un nombre à treize chiffres sera utilisé pour identifier le formulaire.

Ajouter un élément identificateur

Modifier un élément identificateur

Supprimer un élément identificateur


Ajouter un élément identificateur

Pour ajouter un élément identificateur :

  1. Dans la barre d'outils Éléments de formulaire, sélectionnez l'outil Identificateur.

  2. Cliquez dans le formulaire à l'endroit où vous souhaitez ajouter l'élément identificateur, appuyez sur le bouton gauche de la souris et faites-la glisser en diagonale. Un rectangle s'affichera à l'écran. L'identificateur de formulaire sera placé dans l'angle supérieur gauche du rectangle dès que vous aurez relâché le bouton de la souris.

Remarque : Vous pouvez également créer un élément avec un simple clic de souris : une fois que vous aurez sélectionné l'outil requis, cliquez simplement dans le formulaire à l'endroit où vous souhaitez ajouter l'élément. La taille par défaut sera utilisée pour l'élément. Pour placer plusieurs éléments de même type sur votre formulaire, maintenez appuyé la touche CTRL et cliquez à plusieurs reprises à l'endroit où vous souhaitez positionner les éléments.


Modifier un élément identificateur

La taille standard d'un identificateur est de 46x12 mm.

Pour chaque élément identificateur, les propriétés suivantes peuvent être spécifiées : position et taille, type, orientation et valeur.

Les propriétés de l'élément Identificateur ne dépendent pas du type de formulaire.

Vous pouvez modifier les propriétés de l'élément identificateur de la fenêtre Propriétés située au bas de la fenêtre principale. Sélectionnez l'élément à afficher ou à modifier, puis sélectionnez Affichage>Propriétés dans le menu principal.

Option

Description

Élément

Type

Identificateur.

Groupe Position & Taille

Gauche

Fixe la distance que vous souhaitez entre le bord gauche du formulaire et l'élément avec aucun retrait gauche.

En haut

Fixe la distance entre le bord supérieur du formulaire et l'élément.

Largeur

Fixe la largeur d'un élément identificateur.

Hauteur

Fixe la hauteur d'un élément identificateur.

Identificateur

Type

Fixe le type d' identificateur :

  • Code barre uniquement

  • Code barre à chiffres

  • Chiffres uniquement

Type de code-barre

Sélectionne le type de code barre si le type d'identificateur est réglé sur Code barre uniquement ou Code barre à chiffres et si l'option Valeur personnalisée est sélectionnée.

Types de code barre disponibles :

  • EAN13
  • EAN8

Si l'option Valeur personnalisée n'est pas sélectionnée, le Type de code-barre sera grisé. Le type de code barre EAN13 sera utilisé.

Orientation

Fixe l'orientation du code barre :

  • Horizontal

  • Vertical

Valeur

La valeur de l' Identificateur

Les valeurs de l'identificateur ne peuvent être modifiées que si l'option Valeur personnalisée est sélectionnée. Pour EAN13, les valeurs personnalisées doivent contenir 12 chiffres et pour EAN8 les valeurs personnalisées doivent contenir 7 chiffres. Des valeurs plus longues ou plus courtes ou des caractères autres que des chiffres sont interdits. Pour EAN13, un chiffre de contrôle supplémentaire est ajouté au début de la chaîne (en dehors du code barre lui-même) et pour EAN8 un chiffre de contrôle supplémentaire est ajouté à la fin de la chaîne à l'intérieur du code barre.

Si l'option Identificateur de formulaire ou Identificateur de page est sélectionnée, l'identificateur se verra automatiquement affecter une valeur lorsque le formulaire sera publié. Avant qu'un formulaire soit publié, il possède un statut Modifiable et il n'y a pas encore d'identificateur affecté.

Identificateur de formulaire

Utilise un élément comme identificateur de formulaire.

Identificateur de page

Utilise un élément comme identificateur pour la page actuelle.

Valeur personnalisée

Permet des valeurs personnalisées pour un identificateur. Cette option n'est pas disponible pour des identificateurs Chiffres uniquement.


Supprimer un élément identificateur

Pour supprimer un élément identificateur :

  1. Sélectionnez l'élément identificateur que vous souhaitez supprimer.

  2. Dans le menu Édition, sélectionnez Supprimer (ou sélectionnez l'option Supprimer sur le menu contextuel).


Tableaux

Un tableau est un élément de formulaire lisible par machine contenant des colonnes d'éléments de même type.

Les colonnes du tableau peuvent contenir les éléments suivants:

  • texte
  • champ d'entrée
  • champ de date
  • champ numérique
  • champ de coche

Un tableau peut inclure une ligne avec les noms des colonnes.

En termes de structure de document, chaque champ de tableau possède des champs fils correspondant aux colonnes d'un élément tableau.

Ajouter un élément tableau

Modifier un élément tableau

Supprimer un élément tableau


Ajouter un élément tableau

Pour ajouter un élément tableau :

Un élément d'un formulaire lisible par machine contenant des colonnes d'éléments de même type (par ex. des champs texte ou des champs de coche) ; peut inclure une ligne avec les noms des colonnes.
  1. Dans la barre d'outils Éléments de formulaire, sélectionnez l'outil Tableau.
  2. Cliquez dans le formulaire à l'endroit où vous souhaitez ajouter l'élément tableau, appuyez sur le bouton gauche de la souris et faites-la glisser en diagonale. Un rectangle s'affichera à l'écran. Ajustez la taille de l'élément ajouté.

Remarque : Vous pouvez également créer un élément avec un simple clic de souris : une fois que vous aurez sélectionné l'outil requis, cliquez simplement dans le formulaire à l'endroit où vous souhaitez ajouter l'élément. La taille par défaut sera utilisée pour l'élément. Pour placer plusieurs éléments de même type sur votre formulaire, maintenez appuyé la touche CTRL et cliquez à plusieurs reprises à l'endroit où vous souhaitez positionner les éléments.

  3. Dans la boîte de dialogue qui s'ouvre, spécifiez le type de tableau.
    • Sélectionnez Utiliser la première ligne comme en-tête, si vous souhaitez utiliser la première ligne du tableau comme en-tête ;
    • Dans le tableau affiché au centre de la boîte de dialogue, remplacez les noms des données par défaut et les types de données par les noms et types souhaités. Vous pouvez sélectionner n'importe quel numéro de colonnes ;
    • Dans le champ Nombre de lignes, entrez le nombre de lignes dans votre tableau.

Ajouter des séparateurs

Si votre formulaire contient un tableau, les boutons de la barre d'outils visant à ajouter et supprimer des séparateurs seront activés. Vous pouvez utiliser ces boutons pour ajouter/supprimer des séparateurs, changeant de ce fait le nombre de lignes et de colonnes dans le tableau.

Sélectionnez l'outil Ajouter un séparateur et effectuez une des opérations suivantes :

  • Cliquez dans le tableau pour créer un séparateur
  • Placez le pointeur de la souris sur un séparateur existant pour déplacer ce séparateur. Placer le pointeur de la souris sur l'intersection de deux séparateurs déplacera les deux séparateurs
  • Maintenez appuyé la touche CTRL et placez le pointeur de la souris sur un séparateur pour le supprimer
  • Maintenez appuyé la touche MAJ et placez le pointeur de la souris sur un séparateur pour modifier son type de vertical à horizontal et vice versa

Créer des colonnes

Les colonnes du tableau ne peuvent contenir que des éléments de même type. Pour créer des colonnes du tableau, sélectionnez l'élément souhaité de la barre d'outils et cliquez dans une colonne. Un élément du type sélectionné sera ajouté à chaque cellule dans la colonne.

Vous pouvez créer des colonnes de types suivants :

  • texte
  • champ d'entrée
  • champ de date
  • champ numérique
  • champ de coche


Modifier un élément tableau

Pour chaque tableau

Un élément d'un formulaire lisible par machine contenant des colonnes d'éléments de même type (par ex. des champs texte ou des champs de coche) ; peut inclure une ligne avec les noms des colonnes.
élément, les propriétés suivantes peuvent être spécifiées : les coordonnées et la taille de l'élément; largeur, style et couleur des lignes; espacement des cellules; si la première ligne contient des noms de colonnes; un champ relié.

Vous pouvez modifier les propriétés de l'élément tableau de la fenêtre Propriétés située au bas de la fenêtre principale. Sélectionnez l'élément à afficher ou à modifier, puis sélectionnez Affichage>Propriétés dans le menu principal.

Option

Description

Élément

Type

Tableau.

Position & Taille

Gauche

Fixe la distance entre le bord gauche du formulaire et l'élément.

En haut

Fixe la distance entre le bord supérieur du formulaire et l'élément.

Largeur

Fixe la largeur de l'élément tableau.

Hauteur

Fixe la hauteur de l'élément tableau.

Ligne

Largeur

Fixe la largeur du séparateur de ligne (varie entre 0,1 mm et 2,5 mm).

Style

Fixe le style de la ligne :

  • Tirets
  • Plein
  • Pointillés

Couleur

Sélectionne une couleur de séparateur de ligne dans la zone de liste déroulante*.

Arrière-plan

Identique à l'arrière-plan du formulaire

Applique à l'arrière-plan du tableau la même couleur qu'à l'arrière-plan du formulaire.

Autre

Sélectionne une couleur d'arrière-plan du tableau dans la zone de liste déroulante *.

Tableau

Espacement des cellules

Fixe la distance entre les cellules du tableau.

Utiliser la première ligne comme en-tête

Si cette option est sélectionnée, la première ligne contiendra les noms des colonnes.

Champ relié

Champ relié

Á chaque fois que vous créez un élément sur votre formulaire, un champ est créé, par défaut, dans la structure du document à laquelle cet élément est relié. Pour relier votre élément à un autre champ du même type, sélectionnez le nom du champ dans la zone de liste déroulante.

*- La gamme de couleurs disponibles dépend du type de votre formulaire (blanc et noir ou couleur).


Supprimer un élément tableau

Pour supprimer un élément tableau :

  1. Sélectionnez l'élément tableau que vous souhaitez supprimer.
  2. Dans le menu Édition, sélectionnez Supprimer (ou sélectionnez l'option Supprimer sur le menu contextuel).


Groupes d'éléments

Un groupe d'éléments est un élément de formulaire lisible par machine qui relie plusieurs éléments logiquement connectés.

Des groupes peuvent être utilisés pour créer des groupes de champs de coche, par exemple. Ou vous pouvez regrouper des éléments pour les copier rapidement en conservant toutes leurs propriétés. Une application de groupes consiste à créer plusieurs sous-formulaires avec des champs similaires.

Des groupes peuvent s'emboîter.

Ajouter un groupe d'éléments

Modifier un groupe d'éléments

Supprimer un groupe d'éléments


Ajouter un groupe d'éléments

Pour ajouter un groupe d'éléments:

Un élément de formulaire lisible par machine qui relie plusieurs éléments logiquement connectés.
  1. Dans la barre d'outils Éléments, sélectionnez l'outil Groupe d'éléments.
  2. Cliquez sur le formulaire à l'endroit où vous souhaitez ajouter un élément groupe d'éléments, appuyez sur le bouton gauche de la souris et faites-la glisser en diagonale. Relâchez la souris. Un rectangle apparaîtra.

Remarque : Vous pouvez également créer un élément avec un simple clic de souris : une fois que vous aurez sélectionné l'outil requis, cliquez simplement dans le formulaire à l'endroit où vous souhaitez ajouter l'élément. La taille par défaut sera utilisée pour l'élément. Pour placer plusieurs éléments de même type sur votre formulaire, maintenez appuyé la touche CTRL et cliquez à plusieurs reprises à l'endroit où vous souhaitez positionner les éléments.

Ajouter des éléments à un groupe

Il existe trois manières d'ajouter un élément à un groupe :
  1. Créer des éléments qui feront partie d'un groupe. Sélectionnez l'outil Groupe d'éléments et utilisez la souris pour mettre les éléments dans un rectangle. Tous les éléments complètement inclus feront partie d'un groupe.
  2. Créer un groupe en utilisant l'outil Groupe d'éléments. Créer des éléments à l'intérieur d'un groupe.
  3. Créer un groupe en utilisant l'outil Groupe d'éléments. Faites un glisser-déposer des éléments souhaités dans le groupe.
Pour copier un groupe avec la totalité de ses éléments, sélectionnez le groupe afin de sélectionner la totalité de ses éléments. Maintenant, si vous copiez le groupe, la totalité de ses éléments sera copiée, tout en conservant leurs propriétés.


Modifier un groupe d'éléments

Pour chaque groupe d'éléments

Un élément de formulaire lisible par machine qui relie plusieurs éléments logiquement connectés.

 les propriétés suivantes sont spécifiées : coordonnées, taille, style de ligne, couleur d'arrière-plan et champ relié.

Vous pouvez modifier les propriétés de l'élément groupe d'éléments de la fenêtre Propriétés située au bas de la fenêtre principale. Sélectionnez l'élément à afficher ou à modifier, puis sélectionnez Affichage>Propriétés dans le menu principal.

Option

Description

Élément

Type

Groupe d'éléments.

Position & Taille

Gauche

Fixe la distance que vous souhaitez entre le bord gauche du formulaire et l'élément avec aucun retrait gauche.

En haut

Fixe la distance entre le bord supérieur du formulaire et l'élément.

Largeur

Fixe la largeur d'un groupe d'éléments.

Hauteur

 Fixe la hauteur d'un groupe d'éléments.

Texte

Texte

Modifie le texte descriptif d'un groupe d'éléments.

Police

Police utilisée pour le texte à l'intérieur de l'élément.
Pour modifier la police, sa taille et son style (italique, gras, souligné, etc.), cliquez sur Modifier … et dans la boîte de dialogue Police qui s'affiche, sélectionnez la police, la taille de police et le style souhaités.

Couleur

Sélectionne une couleur de texte dans la zone de liste déroulante*.

Retour à la ligne automatique

Insère des sauts de ligne du texte sans couper les mots.

Ligne

Largeur

Fixe la largeur de ligne (varie entre 0,1 mm et 2,5 mm).

Style

Fixe le style de la ligne :

  • Tirets
  • Pointillés
  • Plein

Couleur

Sélectionne une couleur de ligne dans la zone de liste déroulante*.

Arrière-plan

Identique à l'arrière-plan du formulaire

Applique à l'arrière-plan du groupe d'éléments la même couleur qu'à l'arrière-plan du formulaire.

Autre

Sélectionne une couleur d'arrière-plan pour le groupe d'éléments dans la zone de liste déroulante*.

Champ relié

Champ relié

Á chaque fois que vous créez un élément sur votre formulaire, un champ est créé, par défaut, dans la structure du document à laquelle cet élément est relié. Pour relier votre élément à un autre champ du même type, sélectionnez le nom du champ dans la zone de liste déroulante.

*- La gamme de couleurs disponibles dépend du type de votre formulaire (blanc et noir ou couleur).

Remarque : Vous pouvez acheter des polices supplémentaires et une assistance pour polices multilingues sur www.paratype.com/shop/.


Supprimer un groupe d'éléments

Pour supprimer un groupe d'éléments:

  1. Sélectionnez un groupe d'éléments que vous souhaitez supprimer
  2. Sélectionnez la commande Supprimer (Édition>Supprimer ou menu contextuel)

Important! Si vous supprimez des éléments qui appartiennent à un groupe, le groupe sera aussi supprimé. Pour supprimer le groupe tout en conservant les éléments, assurez-vous que seul le groupe est sélectionné et non les éléments.


Sélectionner et déplacer les éléments de formulaire

Vous devez sélectionner un élément de formulaire avant de pouvoir le déplacer ou l'éditer.

Pour sélectionner un élément de formulaire :

  1. Dans la barre d'outils Éléments de formulaire, cliquez sur l'outil Sélection.
  2. Cliquez sur l'élément de formulaire de votre choix.

Pour déplacer un élément de formulaire :

  1. Sélectionnez l'élément que vous souhaitez déplacer.
  2. Placez le pointeur de la souris à l'intérieur de l'élément. La flèche prendra la forme de [image].
  3. Cliquez sur l'élément, appuyez sur le bouton de la souris et déplacez l'élément à l'endroit de votre choix sur le formulaire.

Pour déplacer plusieurs éléments à la fois :

  1. Sélectionnez les éléments que vous souhaitez déplacer (cliquez sur l'outil Sélection, appuyez sur la touche MAJ et cliquez sur tous les éléments que vous souhaitez déplacer).
  2. Placez le pointeur de la souris à l'intérieur des éléments sélectionnés. La flèche prendra la forme de [image].
  3. Cliquez sur l'un des éléments sélectionnés, appuyez sur le bouton de la souris et déplacez les éléments sélectionnés à l'endroit de votre choix sur le formulaire.

Lorsque vous créez un champ d'entrée (texte, nombre ou champ de date), celui-ci sera lié à son titre. Lorsque vous déplacez ce champ, son titre se déplace aussi.

Déplacer un élément (ou plusieurs éléments) tout en appuyant sur la touche CTRL créera une copie de cet élément (ces éléments).

Pour sélectionner des éléments qui font partie d'un groupe d'éléments, cliquez à l'intérieur du groupe. Lorsque vous déplacez un groupe, tous les éléments de ce groupe seront déplacés.

Vous pouvez afficher et modifier les propriétés les plus fréquentes des éléments sélectionnés.

Fusionner les éléments de formulaire

Utiliser les règles pour aligner les éléments du formulaire


Fusionner les éléments de formulaire

Fusionner des éléments de formulaire est utile si vous souhaitez conserver la relation de position des éléments sur le formulaire lorsque vous les déplacez.

Pour fusionner plusieurs éléments :

  1. Sélectionnez les éléments de formulaire que vous souhaitez grouper.
  2. Sélectionnez l'outil Fusionner dans la barre d'outil Édition.

Pour fractionner des éléments :

  1. Sélectionnez les éléments fusionnés que vous souhaitez fractionner.
  2. Sélectionnez l'outil Fractionner dans la barre d'outil Édition.

Pour ajouter un élément aux éléments précédemment fusionnés :

  1. Sélectionnez les éléments précédemment fusionnés.
  2. Maintenez appuyé la touche MAJ et sélectionnez l'élément que vous souhaitez ajouter au groupe.
  3. Sélectionnez l'outil Ajouter aux éléments fusionnés dans la barre d'outil Édition.


Utiliser les règles pour aligner les éléments du formulaire

Les règles sont un outil pratique pour aligner les éléments sur un formulaire. Les éléments qui doivent être alignés verticalement ou horizontalement peuvent être « reliés » à la règle appropriée. Lorsqu'une règle est déplacée, tous les éléments qui lui sont reliés seront aussi déplacés. Ainsi, vous n'aurez pas besoin de sélectionner les éléments manuellement à chaque fois que vous les déplacez.

Vous pouvez limiter les deux côtés d'un élément en fonction de deux règles parallèles. Dans ce cas, lorsque vous déplacez les règles, la taille de l'élément changera en conséquence. Si vous reliez plusieurs éléments à deux règles parallèles, vous pourrez modifier leurs tailles simultanément.

Ajouter des règles

Pour ajouter des règles sur une page :

  • Cliquez sur une des principales règles situées sur les bords du formulaire. Cliquer sur la règle horizontale ajoutera une règle verticale et vice versa.
  • Selectionnez l'outil [image] pour ajouter une règle horizontale ou l'outil [image] pour ajouter une règle verticale, puis cliquez à l'endroit où vous souhaitez mettre la nouvelle règle.

Relier les éléments aux règles

Pour relier un élément à une règle, vous devez mettre un des bords de l'élément sur la règle. Vous pourrez y parvenir en déplaçant la règle, en déplaçant l'élément ou en ajustant la taille de l'élément.

Si le mode reliage automatique est sur ( [image]), lorsque vous déplacerez une règle, elle sera automatiquement reliée à tous les éléments situés suffisamment près de la règle. Ce mode est désactivé par défaut.

Lorsque vous sélectionnez une règle, tous les éléments qui lui sont reliés seront marqués de la même couleur que celle utilisée pour caractériser la règle. Lorsque vous sélectionnez un objet relié à une règle, la petite équerre situé sur le côté relié de l'objet deviendra rouge, ainsi vous saurez en permanence à quelles règles est relié un élément et quels éléments sont reliés à une règle particulière.

Déplacer les règles et les éléments

Vous pouvez déplacer les règles de votre formulaire en les faisant glisser tout en appuyant sur le bouton gauche de la souris. Deux règles situées au même endroit fusionneront en une seule.

Lorsque vous déplacez une règle, tous les éléments qui lui sont liés se déplaceront aussi. Si un élément est relié à deux règles parallèles, sa taille changera lorsque vous déplacerez un des règles (à condition que cet élément permette modifier sa taille).

Ne pas relier des éléments

Pour ne pas relier un élément, sélectionnez-le simplement et déplacez-le loin de sa règle.

Supprimer des règles

Pour supprimer une règle, sélectionnez-la et cliquez sur Supprimer ou sélectionnez dans le menu la commande Supprimer.


Redimensionner les éléments de formulaire

Les éléments de formulaire peuvent être redimensionnés comme indiqué par les pointillés verts sur les bordures d'un élément qui sont visibles lorsque cet élément est sélectionné.

Tous les éléments ne peuvent pas être redimensionnés directement à l'aide de la souris. La taille d'une ancre, par exemple, ne peut être modifiée que dans l'onglet Ancre de la boîte de dialogue Propriétés. Des éléments dont la taille peut être modifiée ont des pointillés verts le long de leurs bordures lorsqu'ils sont sélectionnés et les éléments dont la taille ne peut être modifiée ont des pointillés blancs.

Pour modifier la taille d'un élément de formulaire :

  1. Sélectionnez l'élément que vous souhaitez redimensionner.
  2. Placez le pointeur de la souris sur n'importe quel pointillé vert des bordures de l'élément correspondant à la direction choisie pour redimensionner l'élément ; le pointeur se changera en flèches.
  3. Cliquez sur le pointillé vert requis, appuyez sur le bouton de la souris et déplacez la souris dans la direction souhaitée.

Il est possible de redimensionner des éléments de façon symétrique. Cela signifie que la taille de l'élément se modifiera dans la direction choisie et opposée.

Pour redimensionner un élément de formulaire de façon symétrique :

  1. Sélectionnez l'élément que vous souhaitez redimensionner.
  2. Maintenez appuyé la touche CTRL.
  3. Placez le pointeur de la souris sur le point vert requis de la bordure de l'élément ; le pointeur se changera en flèches.
  4. Cliquez sur le pointillé vert requis, appuyez sur le bouton de la souris et déplacez la souris dans la direction souhaitée.

Vous pouvez également modifier la taille d'un élément en reliant deux de ses bordures à des règles parallèles. Si vous reliez plusieurs éléments à des règles parallèles, vous pourrez modifier simultanément la taille horizontale ou verticale de tous les éléments reliés et ce, au même degré.

Pour modifier la taille d'un élément en utilisant des règles :

  1. Utilisez l'outil [image] ou [image] pour créer deux règles parallèles.
  2. Déplacez les règles ou les éléments souhaités afin que les bordures des éléments qui doivent être redimensionnés coïncident avec les règles. Cela reliera les bordures aux règles.
  3. Cliquez sur l'une des règles et faites-la glisser en appuyant sur le bouton gauche de la souris. La taille de tous les éléments changera lorsque vous déplacerez la règle. Relâchez le bouton de la souris lorsque les éléments auront la bonne taille.

Remarque : Vous ne pouvez modifier que la taille verticale de l'élément champ d'entrée si l'option de l'élément Lignes multiples est sélectionnée.


Modification de la couleur d'arrière-plan des éléments de formulaire

Vous pouvez modifier la couleur de certains des éléments tout en laissant les autres éléments en noir et blanc.

Remarque : Vous pouvez régler et modifier la couleur des éléments suivants uniquement :

  • Texte
  • Champ d'entrée
  • Champ de date
  • Champ numérique
  • Champ de coche
  • Image
  • Tableau
  • Groupe d'éléments

Pour modifier la couleur de certains des éléments dans le formulaire :

  1. Dans l'onglet Couleur de la boîte de dialogue Paramètres de page (Formulaire>Propriétés du page…), modifiez le style du formulaire en formulaire dropout couleur
  2. Changer la couleur du formulaire en blanc :
    • Allez dans l'onglet Couleur de la boîte de dialogue Paramètres de page (Formulaire>Propriétés du page…)
    • Dans Arrière-plan de la page, sélectionnez Blanc dans la zone de liste déroulante Couleur
  3. Changer la couleur des éléments requis en gris :
    • Sélectionnez les éléments requis dans le formulaire
    • Cliquez avec le bouton droit de la souris sur un élément et sélectionnez Propriétés…
    • Dans la boîte de dialogue Propriétés, cliquez sur l'onglet Arrière-plan
    • Désactivez l'option Identique à l'arrière-plan du formulaire et sélectionnez la couleur requise dans le champ Autre
  4. Pour les éléments restants du formulaire, sélectionnez Blanc pour l'arrière-plan et Noir pour le texte.


Structure du document

Lorsque vous ajoutez des éléments à un formulaire, ABBYY FormDesigner 8.0 crée automatiquement une structure de document, une hiérarchie de champs de formulaire liés à un ou plusieurs éléments de l'image du formulaire. Vous pouvez modifier les structures de documents et lier des éléments à tout champ du type approprié.

Les structures des documents sont sauvegardées et exportées comme partie de fichiers XFD.

Afficher la structure du document

Pour afficher la structure du document actuel, sélectionnez Affichage>Structure du document. Dans le volet de droite, la structure des champs dans le formulaire actuel sera affichée. Vous pouvez ajouter de nouveaux champs mais aussi supprimer, renommer ou déplacer n'importe lequel des champs existants. Pour travailler avec des champs, cliquez droit sur un champ et sélectionnez une option sur le menu contextuel (Ajouter un champ, Supprimer un champ, Renommer un champ). Pour déplacer des champs dans la hiérarchie, soit appuyez sur CTRL+Flèche haut/Flèche bas soit sélectionnez Déplacer un champ vers le haut/Déplacer un champ vers le bas. Si un champ possède des éléments qui lui sont liés, vous ne pourrez le déplacer qu'à son niveau actuel dans la hiérarchie, sinon vous pourrez aussi déplacer un champ entre des groupes.

Ajouter de nouveaux champs

Lorsque vous ajoutez un nouvel élément à un formulaire, ABBYY FormDesigner 8.0 crée automatiquement un nouveau champ dans la structure du document du même type que l'élément récemment créé. Pour créer un nouveau champ manuellement, sélectionnez Ajouter un champ puis sélectionnez un type pour votre nouveau champ.

Relier des éléments de formulaire à des champs

Lorsque vous ajoutez un nouvel élément, ABBYY FormDesigner 8.0 le relie automatiquement au champ de la structure du document créée automatiquement pour cet élément. Pour relier un élément à un autre champ :

  • sélectionnez l'élément requis dans l'image du formulaire
  • cliquez droit sur l'élément et sélectionnez dans le menu contextuel Propriétés…
  • dans la boîte de dialogue Propriétés, cliquez sur l'onglet Champ relié et sélectionnez un champ dans la zone de liste déroulante. Vous pourrez choisir uniquement parmi les champs du type qui correspond à l'élément sélectionné. Si un élément fait partie d'un groupe, il ne pourra être relié qu'à des champs qui appartiennent au champ du groupe correspondant.

Remarque : Les noms des champs qui n'ont pas d'éléments qui leur sont reliés sont affichés en italique dans le volet de la structure du document.

Supprimer des champs et des éléments

Pour supprimer un champ de la structure du document, sélectionnez le champ requis et appuyez sur Supprimer ou cliquez droit sur l'élément requis et sélectionnez Supprimer dans le menu contextuel.

En supprimant un élément, le champ auquel il est relié est aussi supprimé à moins qu'il ne possède d'autres éléments qui lui sont reliés. Pour supprimer un élément sans supprimer son champ correspondant, appuyez sur MAJ+Suppr, ou sélectionnez la commande Supprimer le bloc texte dans le menu Édition ou cliquez droit sur l'élément et sélectionnez la commande Supprimer un bloc texte dans le menu contextuel.


Enregistrer et publier un formulaire ; vérifier la lisibilité par machine d'un formulaire

Le processus de création de formulaires consiste en plusieurs étapes dont la conception, les modifications apportées à la conception, l'impression, etc. Pour enregistrer les résultats provisoires de votre travail, utilisez la commande standard Enregistrer. Une fois le formulaire créé et sa conception finale approuvée, il est conseillé de publier le formulaire, c'est-à-dire de lui attribuer l'état Publié afin qu'il ne puisse pas arriver de modifications accidentelles à la conception finale.

Enregistrer un formulaire

Publier un formulaire

Garantir la lisibilité par machine


Enregistrer un formulaire

Pour enregistrer un formulaire, utilisez les commandes standard Enregistrer ou Enregistrer sous… (Fichier>Enregistrer ou Fichier>Enregistrer sous…).

La commande Enregistrer sous… enregistrera soit un formulaire soit un exemple de page. Pour sélectionner un format, utilisez Enregistrer comme type dans la zone de liste déroulante.

Les formulaires créés dans ABBYY FormDesigner 8.0 sont enregistrés comme fichiers *.fdd (Form Definition Files).

Des exemples de formulaire sont des fichiers binaires avec l'extension *.dtf. Des exemples de page sont enregistrés au format *.ptf qui est une version modifiée du format *.fdd.


Garantir la lisibilité par machine

Vous pouvez vérifier votre formulaire pour vous assurer qu'il est lisible par machine à tout moment de la phase de création (Outils>Vérifier un formulaire).

Si aucune erreur n'a été détectée, vous verrez apparaître un message déclarant la réussite de la vérification.

Si des erreurs sont détectées, elles seront affichées en bas de la fenêtre à la fin de la vérification.

Un rapport présentera toutes les erreurs qui peuvent empêcher le bon traitement du formulaire par l'ordinateur. aucune ancre, aucun identificateur de formulaire, des éléments de formulaire sont trop près ou à cheval sur les marges du formulaire, etc.

Bouton | Description
Afficher les éléments | Affiche un élément qui ne répond pas aux conditions de lisibilité par machine. Le bouton est disponible lorsqu'une ligne de rapport est sélectionnée.
Vérifier un formulaire | Utilisez ce bouton après avoir corrigé les erreurs pour vous assurer que votre formulaire est désormais lisible par machine.
Enregistrer le rapport… | Enregistrer le rapport des résultats de la vérification dans un fichier .TXT.


Publier un formulaire

Lorsque vous publiez un formulaire, vous lui assignez l'état Publié c'est-à-dire que vous ne pouvez pas effectuer de modifications au niveau de la conception finale du formulaire. Lorsque vous publiez un formulaire, ABBYY FormDesigner 8.0 vérifie automatiquement votre formulaire afin de garantir qu'il est lisible par machine et lui attribue un identificateur de formulaire unique.

Pour publier un formulaire, utilisez la commande Publier un formulaire (Fichier>Publier un formulaire). Les formulaires publiés sont en lecture seule. Tous les éléments relatif à l'identificateur de formulaire sont assignés sous forme de valeur numérique unique (la même pour tous les identificateurs de formulaire d'un formulaire donné) et l'état du formulaire passe de Édité à Publié.

Publier un formulaire avec avertissements

Lors de la publication, un formulaire est vérifié pour garantir sa lisibilité par machine. Si le programme détecte que votre formulaire n’est pas lisible par machine, la boîte de dialogue Publier un formulaire avec des avertissements apparaîtra. Utilisez cette boîte de dialogue pour rendre votre formulaire lisible par machine ou pour publier votre formulaire malgré les avertissements.

Important!

Utiliser un formulaire qui n’est pas lisible par machine peut se traduire par une mauvaise qualité de la reconnaissance !

La boîte de dialogue Publier le formulaire avec des avertissements affiche le rapport sur tous les échecs de respect avec les conditions de lisibilité par machine.

Bouton | Description
Publier de toute façon | Publie votre formulaire en ignorant son non-respect avec les conditions de lisibilité par machine.
Éditer un formulaire | En bas de la fenêtre s'affichera un rapport montrant toutes les erreurs détectées lors de la vérification du formulaire. Utilisez ce rapport pour corriger les erreurs et rendre votre formulaire lisible par machine.

Modifier un formulaire publié

Pour effectuer des modifications sur un formulaire Publié, sélectionnez la commande Enregistrer une copie modifiable sous… dans le menu Fichier. ABBYY FormDesigner 8.0 vous invitera à enregistrer votre formulaire sous un autre nom avant de pouvoir effectuer toute modification à sa conception. L'état du formulaire portant un nouveau nom passera alors de Publié à Brouillon, et les valeurs des identificateurs du formulaire seront réglées sur 0.

Conseil
Nous vous recommandons de publier vos formulaires une fois que vous aurez terminé leur création. Cela vous permettra de repérer toute modification que vous aurez effectuée dans les formulaires finis et d'éviter d'imprimer des formulaires qui semblent être identiques, mais qui en réalité ne le sont pas.


Imprimer un formulaire

Pour imprimer un formulaire :

  1. Sélectionnez Imprimer… dans le menu Fichier.

  2. Dans la boîte de dialogue Imprimer qui s'affiche, définissez les paramètres d'impression requis.

Important!

Lorsque vous imprimez un formulaire non publié, l’indication « Formulaire brouillon » apparaît dans les marges.


Imprimer des formulaires partiellement remplis

ABBYY FormDesigner 8.0 peut imprimer des formulaires vierges et des formulaires qui contiennent déjà des données dans certains champs. Par exemple, vous pouvez imprimer des formulaires avec les champs noms déjà remplis afin que chaque formulaire soit adressé à un individu en particulier. Les vrais noms peuvent être obtenus dans un fichier ou dans une base de données.

Pour remplir des formulaires vierges avec des données provenant d'une base de données et les imprimer :

  1. Dans le menu Fichier, sélectionnez Imprimer des formulaires remplis>Avec des valeurs de la base de données…
  2. Spécifiez les paramètres de connexion de la base de données.

Important ! Les champs importants de la base de données doivent avoir les mêmes noms que leurs équivalents dans le formulaire.

Pour remplir des formulaires vierges avec des données provenant d'un fichier et les imprimer :

  1. Dans le menu Fichier, sélectionnez Imprimer des formulaires remplis>Avec des valeurs de la base de données…
  2. Spécifiez le chemin d'accès au fichier.

Important ! Vous devez utiliser des fichiers *.csv pour le codage Unicode. La première ligne du fichier doit contenir les noms des champs étant donné que le programme considérera cette ligne comme en-tête. Les noms de champs du fichier doivent être identiques à ceux du formulaire.

En imprimant des formulaires partiellement remplis, le programme reconnaîtra les types de données du fichier ou de la base de données et les imprimera en conséquence. Par exemple, s'il existe un champ de coche dans le formulaire que vous souhaitez remplir pour vos clients, le champ correspondant du fichier ou de la base de données pourrait contenir les valeurs Vrai/Faux ou 1/0.Pour un groupe radio, créez une autre colonne avec le nom de chaque option et insérez-y oui ou non en fonction de la sélection ou non de l’option correspondante.

La police des données imprimées correspond à la police de l’astuce précisée dans la fenêtre des propriétés de l’élément (onglet Conseil).


Exporter un formulaire

Une fois que vous avez conçu et publié le formulaire, vous pouvez l'exporter à un format d'image ou au format Définition de formulaire XML.

Exporter aux formats d'image est nécessaire pour envoyer le formulaire à une imprimerie.

Exporter au format Définition de formulaire XML crée un fichier à partir duquel ABBYY FlexiCapture 8.0 Professional peut automatiquement créer un modèle pour le formulaire.

Exporter un formulaire vers un fichier image

Exporter un formulaire au format Définition de formulaire XML (*.xfd)


Exporter un formulaire dans un fichier image

Exporter un formulaire vers un fichier image

Un formulaire peut être exporté vers un format d'image à n'importe quel moment de la conception. Si l'état du formulaire est Brouillon, le mot « Brouillon » sera écrit sur l'élémentidentificateur de formulaire. Si l'état du formulaire est Publié, l'apparence de l'identificateur de formulaire sera standard et dépendra de son type (code barre uniquement, code barre à chiffres ou chiffres uniquement).

Pour exporter un formulaire vers un fichier image, utilisez la commande Fichier images… (Fichier>Exporter vers…>Fichier images…).

ABBYY FormDesigner 8.0 peut exporter des formulaires vers les formats d'image suivants :
  • Bitmap, noir et blanc (*.bmp)
  • Bitmap, gris (*.bmp)
  • Bitmap, couleur (*.bmp)
  • JPEG, gris (*.jpg)
  • JPEG, couleur (*.jpg)
  • JPEG-2000, gris (*.jpg)
  • JPEG-2000, couleur (*.jpg)
  • PCX, noir et blanc (*.pcx)
  • PCX, gris (*.pcx)
  • PNG, noir et blanc (*.png)
  • PNG, gris (*.png)
  • PNG, couleur (*.png)
  • TIFF, noir et blanc, non condensé (*.tif)
  • TIFF, noir et blanc, Group3 (*.tif)
  • TIFF, noir et blanc, Group4 (*.tif)
  • TIFF, noir et blanc, Packbits (*.tif)
  • TIFF, noir et blanc, compression ZIP (*.tif)
  • TIFF, gris, non condensé (*.tif)
  • TIFF, gris, Packbits (*.tif)
  • TIFF, gris, compression JPEG (*.tif)
  • TIFF, gris, compression ZIP (*.tif)
  • TIFF, couleur, non condensé (*.tif)
  • TIFF, couleur, compression JPEG (*.tif)
  • TIFF, couleur, compression ZIP (*.tif)
  • PDF (*.pdf)
  • EMF (*.emf)

Exporter des images avec séparation des couleurs

Vous devez peut-être enregistrer votre formulaire couleur dans deux fichiers séparés pour l'imprimer chez l'imprimeur. Un fichier contiendra les éléments qui doivent être imprimés en noir et l'autre fichier contiendra les éléments à imprimer en couleur.

Sélectionnez Fichier>Exporter vers>Fichiers images séparés…. Les images seront enregistrées comme fichiers TIFF, le fichier noir et blanc aura _bw dans son nom et le fichier couleur aura _color dans son nom.

Exporter des formulaires multi-page

Des formulaires multi-page peuvent être exportés dans n'importe lequel des formats d'images supportés. Dans le cas de formats multi-page, vous pouvez enregistrer votre formulaire vers un fichier multi-page. Sélectionnez l'option Fichier multi-pages en exportant votre formulaire vers un fichier image. Si cette option n'est pas sélectionnée, chaque page sera enregistrée dans un fichier séparé.

Exporter vers un fichier TIFF avec la résolution de votre choix

Vous pouvez sélectionner la résolution d'un fichier TIFF dans l'onglet Exporter de la boîte de dialogue Options (Outils>Options…).

Remarque. La résolution TIFF doit varier entre 50 et 1200 dpi.


Exporter un formulaire au format Définition de formulaire XML (*.xfd)

Avec ABBYY FormDesigner 8.0, vous pouvez non seulement créer un formulaire mais aussi générer automatiquement une description de formulaire qui pourra alors être utilisée pour créer un modèle de document dans ABBYY FlexiCapture 8.0 Professional (un modèle indique à une application de traitement des formulaires l'endroit où rechercher des types particuliers d'informations sur le document pour garantir une reconnaissance fiable des données entrées).

Pour créer une description de formulaire, vous devez d'abord exporter votre formulaire vers un fichier *.xfd (format Définition de formulaire XML), puis l'ouvrir dans ABBYY FlexiCapture 8.0 Professional. Si vous créez un modèle dans ABBYY FlexiCapture, importez simplement le fichier *.xfd créé et ABBYY FlexiCapture créera automatiquement le modèle requis.

Vous ne pouvez exporter les formulaires Publié qu'au format Définition de formulaire XML.

Vous pouvez choisir le format (TIFF ou EMF) qu'ABBYY FormDesigner 8.0 utilisera pour enregistrer votre image du formulaire dans un fichier XFD.

Pour exporter un formulaire vers un fichier *.xfd, utilisez la commande Définition de formulaire XML… (Fichier>Exporter vers>Définition de formulaire XML…). Dans la boîte de dialogue Exporter vers un fichier de définition de formulaire XML qui s'affiche, tapez un nom pour le fichier *.xfd et sélectionnez le dossier dans lequel il sera enregistré.


Annexe

  • Barre de menu
  • Raccourcis clavier
  • Assistance technique
  • Glossaire des termes


Barre de menu

La barre Menu contient les menus suivants :

  • Fichier
  • Édition
  • Affichage
  • Formulaire
  • Éléments
  • Outils
  • Aide


Menu Fichier

Option | Description
Nouveau… | Lance l'Assistant de création de formulaires.
Ouvrir… | Ouvre un formulaire.
Enregistrer | Enregistre un formulaire.
Enregistrer sous… | Enregistre un formulaire sous un nouveau nom ou enregistre un formulaire/page comme exemple.
Exporter vers… |
Fichier images… | Exporte un formulaire vers un fichier image.
Fichiers images séparés… | Exporte un formulaire dropout couleur dans des fichiers images séparés - un fichier TIFF blanc et noir et un fichier TIFF couleur.
Définition de formulaire XML… | Exporte un formulaire au format de définition de formulaire XML.
Publier un formulaire | Publie le formulaire.
Enregistrer une copie modifiable sous… | Enregistre une copie du formulaire qui peut alors être modifiée.
Imprimer le réglage… | Ouvre la boîte de dialogue Configuration de l'impression.
Imprimer l'aperçu | Affiche un aperçu du formulaire à l'impression.
Imprimer… | Ouvre la boîte de dialogue Imprimer.
Imprimer les formulaires remplis |
Avec des valeurs de la base de données… | Imprime les formulaires remplis avec les valeurs d'une base de données.
Avec des valeurs du fichier… | Imprime les formulaires remplis avec les valeurs d'un fichier.
Fichiers récents | Affiche la liste des fichiers récemment ouverts. Sélectionner n'importe lequel des fichiers récents pour l'ouvrir.
Quitter | Ferme ABBYY FormDesigner 8.0.


Menu Édition

Option | Description
Annuler | Annule les résultats de la dernière action.
Rétablir | Annule les résultats de la dernière action Annuler.
Couper | Coupe la sélection (élément ou texte) et la place dans le Presse-papiers.
Copier | Copie la sélection (élément ou texte) dans le Presse-papiers.
Coller | Colle le contenu du Presse-papiers dans le formulaire.
Supprimer | Supprime les éléments sélectionnés. Les champs de la structure du document qui sont liés à ces éléments seront également supprimés.
Dupliquer | Duplique les éléments sélectionnés.
Éditer le texte | Vous permet de modifier le texte au sein de l'élément texte ou champ de coche sélectionné.
Renommer un champ | Renomme le champ sélectionné.
Supprimer le bloc texte | Supprime les éléments sélectionnés sans supprimer leurs champs liés dans la structure du document.
Sélectionner tout | Sélectionne tous les éléments du formulaire actuel.
Sélectionner par type… | Ouvre la boîte de dialogue Sélectionner par type dans laquelle vous pouvez spécifier les types d'éléments à sélectionner.


Menu Affichage

Option | Description
Barres d'outils |
Standard | Affiche/masque la barre d'outils Par défaut.
Mise en forme | Affiche/masque la barre d'outils Mise en forme.
Éléments de formulaire | Affiche/masque la barre d'outils Éléments de formulaire.
Outils de dessin | Affiche/masque la barre d'outils outils de création.
Gros boutons de la barre d'outils | Agrandit/diminue les boutons des barres d'outils.
Barre d'état | Affiche/masque la barre d'état.
Structure du document | Affiche/masque le volet de structure du document.
Propriétés | Affiche/masque la fenêtre des propriétés des éléments.
Grille | Affiche/masque la grille.
Règle principale | Affiche/masque la règle principale.
Marges | Affiche/masque les marges.
Étendre à la grille | Aligne l'angle supérieur gauche des éléments récemment créés sur le nœud de grille le plus proche. En déplaçant un élément de formulaire, il sera également aligné sur le nœud de grille le plus proche.
Étendre les règles d'alignement aux éléments | Activer/désactiver le reliage automatique des éléments aux règles. Si ce mode est activé, lorsque vous déplacez une règle sur le formulaire, elle sera automatiquement reliée aux éléments qui sont suffisamment proches d'elle.
Zoom |
200% | Zoome la fenêtre du Formulaire sur 200 %.
150% | Zoome la fenêtre du Formulaire sur 150%.
100% | Zoome la fenêtre du Formulaire sur 100%.
75% | Zoome la fenêtre du Formulaire sur 75%.
50% | Zoome la fenêtre du Formulaire sur 50%.
Ajuster à la largeur | Ajuste l'image à la largeur de la fenêtre Formulaire.
Ajuster à la hauteur | Ajuste l'image à la hauteur de la fenêtre Formulaire.
Ajuster au mieux | Ajuste l'image entière à la fenêtre Formulaire.
Zoom arrière | Réduit l'image du formulaire de moitié.
Zoom avant | Double l'image du formulaire.


Menu Formulaire

Élément du menu | Description
Propriétés du formulaire… | Ouvre la boîte de dialogue Propriétés du formulaire.
Ajouter une page |
Vide | Ajoute une page vide au formulaire.
À partir d'un exemple de page… | Ajoute une page fondée sur un exemple au formulaire.
Supprimer une page | Supprime la page actuelle.
Propriétés du page… | Ouvre la boîte de dialogue Paramètres de page.


Menu Éléments

Option | Description
Dessiner un élément |
Outil de sélection | Sélectionne un outil dans la barre d'outils Éléments de formulaire ou un élément sur le formulaire.
Champ d'entrée | Sélectionne l'outil Champ d'entrée qui ajoute un élément champ d'entrée au formulaire.
Champ de date | Sélectionne l'outil Champ de date qui ajoute un élément champ de date au formulaire.
Champ numérique | Sélectionne l'outil Champ numérique qui ajoute un élément champ numérique au formulaire.
Champ de coche | Sélectionne l'outil Champ de coche qui ajoute un élément champ de coche au formulaire.
Groupe d'éléments | Sélectionne l'outil Groupe d'éléments qui ajoute un groupe d'éléments au formulaire.
Tableau | Sélectionne l'outil Tableau qui ajoute un élément tableau au formulaire.
Séparateur vertical | Sélectionne l'outil Séparateur vertical qui ajoute un séparateur vertical au tableau.
Séparateur horizontal | Sélectionne l'outil Séparateur horizontal qui ajoute un séparateur horizontal au tableau.
Supprimer un séparateur | Sélectionne l'outil Supprimer un séparateur qui supprime un séparateur du tableau.
Règle horizontale | Sélectionne l'outil Règle horizontale qui ajoute une règle horizontale au formulaire.
Règle verticale | Sélectionne l'outil Règle verticale qui ajoute une règle verticale au formulaire.
Texte | Sélectionne l'outil Texte qui ajoute un élément texte au formulaire.
Séparateur de ligne | Sélectionne l'outil Séparateur de ligne qui ajoute un élément séparateur de ligne au formulaire.
Cadre | Sélectionne l'outil Cadre qui ajoute un élément cadre au formulaire.
Image | Sélectionne l'outil Image qui ajoute un élément image au formulaire.
Ancre | Sélectionne l'outil Ancre qui ajoute un élément ancre au formulaire.
Identificateur | Sélectionne l'outil Identificateur qui ajoute un élément identificateur au formulaire.
Exemple rempli | Ajoute un exemple rempli au formulaire.
Aligner |
Gauche | Aligne les éléments sélectionnés sur le bord gauche du dernier élément sélectionné.
Centrer horizontalement | Centre les éléments sélectionnés sur le centre du dernier élément sélectionné sans modifier leur position verticale.
Droite | Aligne les éléments sélectionnés sur le bord droit du dernier élément sélectionné.
En haut | Aligne les éléments sélectionnés sur le bord supérieur du dernier élément sélectionné.
Centrer verticalement | Centre les éléments sélectionnés sur le centre du dernier élément sélectionné sans modifier leur position horizontale.
En bas | Aligne les éléments sélectionnés sur le bord inférieur du dernier élément sélectionné.
Á la grille | Aligne les angles supérieurs gauches de tous les éléments sélectionnés sur les nœuds de grille les plus proches.
Espacer uniformément à travers | Espace les éléments uniformément à travers la page.
Espacer uniformément vers le bas | Espace les éléments uniformément vers le bas de la page.
Taille |
Uniformiser la largeur | Uniformise la largeur de tous les éléments sélectionnés avec celle du dernier élément sélectionné.
Uniformiser la hauteur | Uniformise la hauteur de tous les éléments sélectionnés avec celle du dernier élément sélectionné.
Uniformiser la largeur et la hauteur | Uniformise la hauteur et la largeur de tous les éléments sélectionnés avec celles du dernier élément sélectionné.
Taille à la grille | Étend les bordures de l'élément sélectionné sur les lignes de grille les plus proches.
Taille à ajuster | Étend ou réduit les bordures de l'élément sélectionné pour les ajuster à la taille des données qu'il contient.
Mettre au premier plan | Place les éléments sélectionnés au premier plan.
Mettre à l'arrière-plan | Place les éléments sélectionnés à l'arrière-plan.
Fusionner | Fusionne les éléments sélectionnés dans le formulaire.
Fractionner | Fractionne les éléments sélectionnés dans le formulaire.
Ajouter aux éléments fusionnés | Ajoute des éléments aux éléments précédemment fusionnés. Il faut sélectionner les éléments à ajouter et les éléments précédemment fusionnés.


Menu Outils

Option | Description
Vérifier un formulaire | Vérifie si le formulaire est lisible par machine.
Options… | Ouvre la boîte de dialogue Options.


Menu Aide

Option | Description
Thèmes de l'aide | Ouvre l'aide d'ABBYY FormDesigner.
Assistance technique | Ouvre la page Assistance technique du fichier d'aide.
Á propos de… | Ouvre la fenêtre À propos d'ABBYY FormDesigner 8.0 contenant des informations générales sur le programme.


Menu local de la barre d'outils

Menu contextuel de la barre d'outils

Option | Description
Standard | Affiche/masque la barre d'outils Par défaut.
Mise en forme | Affiche/masque la barre d'outils Mise en forme.
Éléments de formulaire | Affiche/masque la barre d'outils Éléments de formulaire.
Outils de dessin | Affiche/masque la barre d'outils outils de création.
Gros boutons de la barre d'outils | Agrandit/diminue les boutons des barres d'outils.
Options… | Ouvre la boîte de dialogue Options.


Menu local des éléments de formulaire

Menu contextuel des éléments de formulaire

Option | Description
Taille à ajuster | Étend ou réduit les bordures de l'élément sélectionné pour les ajuster à la taille des données qu'il contient.
Couper | Coupe la sélection (élément ou texte) et la place dans le Presse-papiers.
Copier | Copie la sélection (élément ou texte) dans le Presse-papiers.
Coller | Colle le contenu du Presse-papiers dans le formulaire.
Supprimer | Supprime les éléments sélectionnés. Les champs de la structure du document qui sont liés à ces éléments seront également supprimés.
Supprimer un bloc texte | Supprime les éléments sélectionnés sans supprimer leurs champs liés dans la structure du document.
Dupliquer | Duplique les éléments sélectionnés.
Éditer un texte | Vous permet de modifier le texte au sein de l'élément texte ou champ de coche sélectionné.
Mettre au premier plan | Place les éléments sélectionnés au premier plan.
Mettre à l'arrière-plan | Place les éléments sélectionnés à l'arrière-plan.
Fusionner | Fusionne les éléments sélectionnés.
Fractionner | Fractionne les éléments sélectionnés.
Propriétés de la page… | Ouvre la boîte de dialogue Paramètres de page.


Raccourcis clavier

Menu | Commande | Raccourci-clavier
Fichier | Nouveau… | CTRL+N
 | Ouvrir… | CTRL+O
 | Enregistrer | CTRL+S
 | Imprimer… | CTRL+P
Édition | Annuler | CTRL+Z
 | Rétablir | CTRL+Y
 | Couper | CTRL+X
 | Copier | CTRL+C
 | Coller | CTRL+V
 | Supprimer | Suppr
 | Dupliquer | CTRL+D
 | Supprimer le bloc texte | MAJ+Suppr
 | Sélectionner tout | CTRL+A
 | Sélectionner par type… | CTRL+MAJ+A
Affichage | Zoom/Ajuster au mieux | CTRL+MAJ+Barre oblique du clavier numérique (/)
 | Zoom/Zoom arrière | CTRL+MAJ+Moins (clavier numérique)
 | Zoom/Zoom avant | CTRL+MAJ+Plus (clavier numérique)
Élément | Tracer un élément/Outil de sélection | Éch
 | Tracer un élément/Champ d'entrée | E
 | Tracer un élément/Champ de date | D
 | Tracer un élément/Champ numérique | N
 | Tracer un élément/Champ de coche | C
 | Tracer un élément/Groupe d'éléments | G
 | Tracer un élément/Tableau | T
 | Tracer un élément/Séparateur vertical | V
 | Tracer un élément/Séparateur horizontal | H
 | Tracer un élément/Texte | S
 | Tracer un élément/Séparateur de ligne | L
 | Tracer un élément/Cadre | F
 | Tracer un élément/Image | P
 | Tracer un élément/Ancre | A
 | Tracer un élément/Identificateur | I
 | Aligner/Gauche | Alt+Gauche
 | Aligner/Centrer horizontalement | MAJ+F9
 | Aligner/Droite | Alt+Droite
 | Aligner/En haut | Alt+Haut
 | Aligner/Centrer verticalement | CTRL+F9
 | Aligner/En bas | Alt+Bas
 | Taille/Uniformiser la largeur | MAJ+F8
 | Taille/Uniformiser la hauteur | CTRL+F8
 | Taille/Uniformiser la largeur et la hauteur | CTRL+MAJ+F8
Outils | Vérifier un formulaire | F9
 | Options… | CTRL+MAJ+O
Aide | Thèmes de l'aide | F1


Raccourcis clavier (modification de texte)

Pour | Cliquer sur
déplacer le curseur d'une ligne vers le haut. | Flèche vers le haut
déplacer le curseur d'une ligne vers le haut. | Flèche vers le bas
déplacer le curseur sur la première ligne. | Haut de page
déplacer le curseur sur la dernière ligne. | Bas de page
déplacer le curseur d'un caractère vers la droite. | Flèche droite
déplacer le curseur d'un caractère vers la gauche. | Flèche gauche
déplacer le curseur vers la droite, au début du mot suivant. | CTRL + Flèche droite
déplacer le curseur vers la gauche, au début du mot. | CTRL + Flèche gauche
déplacer le curseur au début de la ligne. | Début
déplacer le curseur à la fin de la ligne. | Fin
déplacer le curseur au début du texte. | CTRL+Début
déplacer le curseur à la fin du texte. | CTRL+Fin
supprimer le texte sélectionné. (Si aucun texte n'est sélectionné, le caractère de droite sera supprimé.) | Supprimer
supprimer le caractère situé avant le curseur. | Retour arrière
quitter le mode de modification de texte sans enregistrer les changements. | Éch
enregistrer tous les changements et quitter le mode de modification de texte. | Entrée
déplacer à la ligne suivante. | CTRL+Entrée


Comment se procurer ABBYY FormDesigner 8.0 ?

Pour obtenir des informations détaillées sur les solutions complètes de saisie et de gestion des données ABBYY, visitez les sites Internet www.abbyy.com et www.FlexiCapture.com.

Pour commander votre copie d'ABBYY FlexiCapture 8.0 Professional ou obtenir des informations supplémentaires sur nos produits, contactez-nous à registration@abbyy.com

Vous pouvez acheter des polices supplémentaires et une assistance pour polices multilingues sur www.paratype.com/shop/.


Assistance technique

Si vous avez des questions sur le fonctionnement d'ABBYY FormDesigner 8.0, consultez d'abord la documentation fournie avec le logiciel (Guide utilisateur et aide). Vous pouvez également parcourir la section consacrée à l'assistance technique sur notre site Web www.abbyy.com.

Les experts de notre service d'assistance technique auront besoin des informations suivantes pour répondre efficacement à vos questions :

  • Vos nom et prénom

  • Le nom de votre société

  • Votre numéro de téléphone (ou fax, ou e-mail)

  • Le numéro de série de votre programme ABBYY FlexiCapture

  • Numéro de version (voir Aide/Á propos de…/Version)

  • Description générale de votre problème et message d'erreur complet (éventuellement)

  • Votre ordinateur et type de processeur

  • La version de votre système d'exploitation Windows

Vous pouvez nous fournir toute autre information que vous jugez importante.

Vous pouvez obtenir certaines de ces informations automatiquement en cliquant sur le bouton Info sur le système… dans la boîte de dialogue À propos d'ABBYY FormDesigner 8.0 (menu Aide).

Important! Seuls les utilisateurs inscrits ont accès à l'assistance technique. Vous pouvez enregistrer votre copie de l'application sur notre site Internet.

Bureaux ABBYY


Brevets

Numéros de brevets U.S. 5,258,855, 5,369,508, 5,625,465, 5,768,416 et 6,094,505


Technologies tierces

Logiciel JasPer

© 1999-2000, Image Power, Inc. et l'Université de Colombie britannique, Canada.
© 2001-2002 Michael David Adams.
Tous droits réservés.

Plus

LICENCE PUBLIQUE JPEG-2000 IMAGE POWER

************************************

OCTROI :

Par la présente, toute personne (« l'Utilisateur ») obtenant une copie de ce logiciel et de la documentation associée se voit accorder gratuitement le droit d'utilisation du Logiciel JasPer sans aucune restriction, y compris le droit d'utiliser, copier, modifier, fusionner, publier, distribuer, concéder sous licence et/ou vendre des copies du Logiciel JasPer (dans des formulaires sources et binaires) et d'octroyer ces mêmes droits à toute personne à qui le Logiciel JasPer est fourni sous réserve que les conditions de licence ci-dessous soient satisfaites.

Conditions de licence

******************

A. Les redistributions du code source doivent conserver l'avis ci-dessus sur les droits d'auteur, et cette liste de conditions et l'avis de non-responsabilité suivant.

B. Les redistributions sous forme binaire doivent reproduire l'avis ci-dessus sur les droits d'auteur, et cette liste de conditions et l'avis de non-responsabilité suivant, dans la documentation et/ou tout autre matériel fournis lors de la distribution.

C. Le nom de Image Power, Inc. ou de tout autre collaborateur (incluant de manière non limitative l'Université de Colombie britannique et Michael David Adams) ne peuvent être utilisés dans le but de recommander ou promouvoir des produits dérivés de ce logiciel sans autorisation écrite spécifique au préalable.

D. L'Utilisateur s’engage à ne pas poursuivre Image Power, Inc., l'Université de Colombie britannique, Michael David Adams ou tout autre collaborateur (collectivement les « concédants de licence ») pour violation des droits à la propriété intellectuelle (« IPR ») détenus par l'Utilisateur à l'égard de technologies dont il est propriétaire ou pour lesquelles il dispose des droits de licence ou de concession de licence et constituant un élément requis pour pouvoir revendiquer la conformité à la norme ISO/IEC 15444-1 (c'est-à-dire JPEG-2000 Partie 1). « IPR » renvoie au droit international, légal ou coutumier, sur la propriété intellectuelle, exercé ou non, incluant de manière non limitative tous les (i) brevets et applications de brevet dont l'Utilisateur détient la propriété ou la concession de licence ; (ii) droits associés à des œuvres d'auteur y compris le copyright, les applications de copyright, les dépôts de copyright, ainsi que les droits, applications et dépôts légaux concernant les topographies de circuits intégrés ; (iii) droits relatifs à la protection de secrets commerciaux et d'informations confidentielles ; (iv) droits analogues aux droits mentionnés aux sous-sections (i), (ii) ou (iii) ou tout autre droit de propriété sur un actif incorporel (autre que les droits concernant les marques commerciales, marques de service ou présentations de marchandises) ; et (v) partages, prorogations, renouvellements, reconductions, et extensions des droits précités (dans la mesure applicable) aujourd'hui existants et ci-après déposés, émis ou acquis.

E. Dans le cas où l'Utilisateur engagerait des poursuites pour violation de droits contre un ou plusieurs concédants de licence, ceux-ci seraient alors autorisés à résilier la licence de l'Utilisateur ainsi que toutes les licences concédées par l'Utilisateur à d'autres parties.

F. Ce logiciel ne peut être utilisé qu'avec des produits logiciels ou matériels conformes à la norme ISO/IEC 15444-1 (c'est-à-dire JPEG-2000 Partie 1). Aucune autorisation ou licence d'utilisation pour ce Logiciel n'est octroyée pour des produits ne satisfaisant pas la norme ISO/IEC 15444-1. Le standard JPEG-2000 Partie 1 peut être acheté auprès de l'Organisation des normes internationales (ISO).

CETTE EXCLUSION DE GARANTIE CONSTITUE UNE COMPOSANTE ESSENTIELLE DE CETTE LICENCE.

AUX TERMES DES PRÉSENTES, SEULE CETTE EXCLUSION RÉGIT L'AUTORISATION D'UTILISATION DU LOGICIEL JASPER. CE CONTRAT DE LICENCE PRÉVOIT QUE LE LOGICIEL JASPER EST FOURNI « EN L'ÉTAT » PAR LES CONCÉDANTS ET COLLABORATEURS SANS GARANTIE D'AUCUNE SORTE, EXPLICITE OU IMPLICITE, Y COMPRIS, ET DE MANIÈRE NON LIMITATIVE, LA GARANTIE RELATIVE À L'ABSENCE DE DÉFAUTS, LA COMMERCIALISATION, L'ADÉQUATION À UN OBJECTIF PARTICULIER OU LA CONTREFAÇON DU LOGICIEL JASPER. LES UTILISATEURS AYANT L'INTENTION D'UTILISER LE LOGICIEL JASPER OU UNE VERSION MODIFIÉE DU LOGICIEL CONJOINTEMENT AVEC DES PRODUITS LOGICIELS OU MATÉRIELS SONT INFORMÉS QUE CETTE UTILISATION PEUT ENFREINDRE DES DROITS RELATIFS À DES BREVETS, COPYRIGHTS, MARQUES COMMERCIALES OU AUTRE DROIT DE PROPRIÉTÉ INTELLECTUELLE.

L'INTÉGRALITÉ DU RISQUE DÉCOULANT DE LA QUALITÉ OU DES PERFORMANCES DU LOGICIEL JASPER INCOMBE À L'UTILISATEUR. DANS L’ÉVENTUALITÉ OÙ UNE PARTIE DU LOGICIEL JASPER S'AVÉRERAIT DÉFECTUEUSE À CERTAINS ÉGARDS, L'UTILISATEUR (ET NON LES DÉVELOPPEURS INITIAUX, L'UNIVERSITÉ DE COLOMBIE BRITANNIQUE, IMAGE POWER, INC., MICHAEL DAVID ADAMS OU TOUT AUTRE COLLABORATEUR) PRENDRA À SA CHARGE LE COÛT DES RÉVISIONS, RÉPARATIONS OU CORRECTIONS REQUISES. EN AUCUN CAS, UN CADRE LÉGISLATIF, QU'IL S'AGISSE D'UNE ACTION DÉLICTUELLE (NÉGLIGENCE COMPRISE), D'UN CONTRAT OU D'UNE ABSENCE DE CONTRAT, NE SAURAIT TENIR RESPONSABLES LES DÉVELOPPEURS INITIAUX, L'UNIVERSITÉ DE COLOMBIE BRITANNIQUE, IMAGE POWER, INC., MICHAEL DAVID ADAMS, TOUT AUTRE COLLABORATEUR, OU TOUT DISTRIBUTEUR DU LOGICIEL JASPER OU FOURNISSEUR DES PARTIES CI-DESSUS MENTIONNÉES DES DOMMAGES CONSÉCUTIFS, INDIRECTS, SPÉCIAUX OU ACCIDENTELS DE TOUTES SORTES, Y COMPRIS ET DE MANIÈRE NON LIMITATIVE, DES DOMMAGES SUBIS SUITE À LA PERTE DE FONDS COMMERCIAUX, À UN ARRÊT DU TRAVAIL, À UNE DÉFAILLANCE INFORMATIQUE OU À UN DYSFONCTIONNEMENT, OU TOUT AUTRE PERTE OU DOMMAGE COMMERCIAL, QUAND BIEN MÊME L'UTILISATEUR AURAIT ÉTÉ INFORMÉ DE L'ÉVENTUALITÉ DE TELS DOMMAGES OU AURAIT DÛ EN AVOIR CONNAISSANCE. LE LOGICIEL JASPER ET LA TECHNOLOGIE SOUS-JACENTE NE SONT PAS À L'ÉPREUVE DE PANNES ET NE SONT PAS CONÇUS, FABRIQUÉS OU PRÉVUS POUR ÊTRE UTILISÉS OU REVENDUS EN TANT QU'ÉQUIPEMENT DE CONTRÔLE EN LIGNE DANS DES ENVIRONNEMENTS ALÉATOIRES REQUÉRANT DES PERFORMANCES INFAILLIBLES, TELS QUE DES INSTALLATIONS NUCLÉAIRES, DES SYSTÈMES DE COMMUNICATIONS OU DE NAVIGATION AÉRIENNE, LE CONTRÔLE AÉRIEN, DES ÉQUIPEMENTS DE SURVIE OU DES SYSTÈMES D'ARMES POUR LESQUELS LA DÉFAILLANCE DU LOGICIEL JASPER OU DE LA TECHNOLOGIE OU DES PRODUITS SOUS-JACENTS ENTRAÎNERAIT DIRECTEMENT LA MORT, DES PRÉJUDICES CORPORELS OU DES DOMMAGES PHYSIQUES OU ENVIRONNEMENTAUX GRAVES (« ACTIVITÉS À HAUT RISQUE »). LE CONCÉDANT DE LICENCE EXCLUT PARTICULIÈREMENT TOUTE GARANTIE EXPRESSE OU IMPLICITE D'ADÉQUATION AUX ACTIVITÉS À HAUT RISQUE. L'UTILISATEUR NE POURRA PAS SCIEMMENT UTILISER, DISTRIBUER OU REVENDRE LE LOGICIEL JASPER OU LA TECHNOLOGIE OU LES PRODUITS SOUS-JACENTS DANS LE CADRE D'ACTIVITÉS À HAUT RISQUE ET IL VEILLERA À FOURNIR Á SES CLIENTS ET UTILISATEURS FINAUX DE SES PRODUITS UNE COPIE DE L'AVIS STIPULÉ DANS CETTE SECTION.

MARQUES COMMERCIALES

QuickScan est une marque commerciale et Captiva est une marque déposée de Captiva Software Corporation.

KODAK est une marque commerciale de Eastman Kodak Company.


Adresse et coordonnées des bureaux ABBYY

Russie | ABBYY Russie Téléphone : +7 495 783 3700 Télécopie : +7 495 783 2663 Adresse : Boîte postale 49, 129301, Moscou, Russie, ABBYY Software LLC. Adresse du bureau : Moscou, VDNKh subway station 11 Kasatkina St., building 1 E-mail : sales@abbyy.ru Support technique : support@abbyy.ru Web : http://www.abbyy.ru DIRECTIONS
Amérique du Nord et Amérique centrale | Les clients résidant aux États-Unis, au Canada, au Mexique et en Amérique Centrale doivent contacter : ABBYY États-Unis Téléphone : +1 510 226 6717 Télécopie : +1 510 226 6069 Adresse : 47221 Fremont Boulevard, Fremont, Californie, 94538, États-Unis Adresse électronique : sales@abbyyusa.com Support technique : support@abbyyusa.com Web : http://www.abbyy.com
Europe de l'Est et Europe méditerranéenne | Les clients résidant en Albanie, en Bosnie-Herzégovine, en Bulgarie, en Croatie, en République tchèque, en Hongrie, en Israël, en Macédoine, en Moldavie, au Monténégro, en Pologne, en Roumanie, en Serbie, en Slovaquie, en Slovénie, en Turquie ou en Ukraine doivent contacter : ABBYY Ukraine Téléphone : +380 44 490 9999 Télécopie : +380 44 490 9461 Adresse : P.O. Box 23, 02002 Kiev, Ukraine Adresse électronique : forms@abbyy.ua Téléphone du support technique : Téléphone : +380 44 490 94 63 Adresse électronique : formssupport@abbyy.ua Web : http://www.abbyy.ua
Europe de l'Ouest | Les clients résidant en Autriche, au Benelux, au Danemark, en France, en Allemagne, en Grèce, en Italie, en Irlande, en Norvège, au Portugal, en Espagne, en Suède, en Suisse, au Royaume-Uni ou dans d'autres pays d'Europe de l'Ouest doivent contacter : ABBYY Europe GmbH Téléphone : +49 89 511 159 0 Fax : +49 89 511 159 59 Adresse : Elsenheimerstrasse 49, 80687 Munich, Allemagne Adresse électronique : sales_eu@abbyy.com Support technique : support_eu@abbyy.com Web : http://www.abbyy.com
Japon | Les clients résidant au Japon doivent contacter : ABBYY Japan : Téléphone :+81-42-795-1901 Télécopie : +81-42-795-1901 Adresse : 658-1 Tsuruma, Machida-shi, Tokyo 194-8510 Adresse électronique : sales@abbyyusa.com Support technique : support@abbyyusa.com Web : http://www.abbyy.com
Toutes les autres régions | Les clients ne résidant pas dans les pays mentionnés ci-dessus doivent contacter : ABBYY Russia Téléphone : +7 495 783 3700 Fax : +7 495 783 2663 Adresse : Boîte postale 49, 129301, Moscou, Russie, ABBYY Software LLC. E-mail : sales@abbyy.com Support technique : support@abbyy.ru Web : http://www.abbyy.ru; http://www.abbyy.com


Glossaire des termes

A

ABBYY FormDesigner

ABBYY FormDesigner est une application logicielle de création de formulaires lisibles par machine qui seront traités par ABBYY FlexiCapture. La conception des formulaires est une étape importante de la création de formulaires, dans la mesure où toutes les autres étapes –– numérisation, reconnaissance, vérification et exportation –– dépendent de « l'exactitude » du formulaire initial et de son aptitude au traitement par la machine.

Ancre

Élément de formulaire lisible par machine utilisé pour faire correspondre un formulaire à son modèle et pour déterminer son orientation au cours de son traitement.

C

Cadre

Élément de formulaire lisible par machine qui entoure une zone dans un formulaire.

Cellule de caractère

Rectangle de petite taille dans lequel un seul caractère doit être saisi (par ex. une lettre ou un chiffre).

Champ de coche

Élément de formulaire lisible par machine (habituellement une case à cocher) dans lequel une marque (par ex. une coche, une croix, etc.) est ajoutée par la personne remplissant le formulaire.

Champ d'entrée

Élément de formulaire lisible par machine dans lequel la personne remplissant le formulaire saisit du texte.

Création de formulaires

Processus comprenant les étapes suivantes : analyse, conception et impression.

E

Exemple de formulaire

Un exemple qui peut être utilisé pour créer de nouveaux formulaires dans ABBYY FormDesigner. Des exemples sont enregistrés comme fichiers binaires et ont l'extension *.dtf.

Exemple de page

Un exemple qui peut être utilisé pour créer de nouvelles pages dans ABBYY FormDesigner. Des exemples sont enregistrés comme fichiers binaires et ont l'extension *.ptf.

F

Format XFD

Le format de Définition de formulaire XML (*.xfd) est le format des fichiers de formulaires créés dans ABBYY FormDesigner. Vous pouvez convertir automatiquement les fichiers de Définition de formulaires XML en modèles pour ABBYY FlexiCapture.

Formulaire

Document composé d'une ou de plusieurs pages et rempli manuellement ou via une imprimante ou une machine à écrire.

Formulaire dropout

Ces formulaires ont un arrière-plan de couleur claire avec des rectangles blancs faisant office de cellules de caractère, de champs de coche, etc.

Formulaire en noir et blanc avec arrière-plans raster

Les champs de ces formulaires sont simplement des espaces vides (habituellement des rectangles) sur un arrière-plan raster. L'arrière-plan est constitué de points individuels.

Formulaire en noir et blanc avec bordures raster

Ces formulaires n'ont pas d'arrière-plan. Toutes les bordures de champ (bordures de cellules de caractère, champs de coche et autres éléments de formulaire) sont formées de lignes raster, c'est-à-dire de suites de petits points noirs.

Formulaire linéaire noir et blanc

Ces formulaires n'ont en général pas d'arrière-plan. Toutes les bordures de champ (cellules de caractère, champs de coche et autres éléments de formulaire) se présentent sous la forme de lignes noires pleines.

Formulaire lisible par machine

Formulaire pouvant être traité par un ordinateur.

G

Groupe d'éléments

Élément de formulaire lisible par machine qui relie plusieurs éléments logiquement connectés.

I

Identificateur de la page

Élément de formulaire lisible par machine permettant au programme de traitement de formulaires d'identifier chaque page d'un formulaire.

Identificateur de formulaire

Élément de formulaire lisible par machine permettant au programme de traitement de formulaires d'identifier chaque formulaire.

Image

Élément de formulaire lisible par machine contenant une image.

L

Lisibilité par machine

Adaptabilité d'un formulaire au traitement automatisé.

M

Marque de référence

Élément de formulaire lisible par machine utilisé pour faire correspondre un formulaire à son modèle et pour déterminer son orientation au cours de son traitement.

O

Obligations pour formulaires lisibles par machine

Obligations concernant le type et l'apparence du formulaire mais aussi le positionnement des éléments du formulaire. La qualité de reconnaissance optimale est obtenue lorsque ces obligations sont respectées.

P

Publication de formulaires

Lors de la publication d'un formulaire, vous lui attribuez l'état Publié, ce qui empêche de modifier le formulaire. Parallèlement, la lisibilité par machine du formulaire sera vérifiée et un numéro unique est attribué aux identificateurs de formulaire (identique pour tous les identificateurs).

S

Séparateur de ligne

Élément de formulaire lisible par machine qui se présente sous forme de ligne noire verticale ou horizontale.

T

Tableau

Élément de formulaire lisible par machine contenant des colonnes d'éléments de même type.

Texte

Élément de formulaire lisible par machine comprenant des descriptions et du texte descriptif, tels que des titres de champ, des instructions sur la manière de remplir le formulaire, etc.


Glossaire des termes

A C E F G I L M O P S T


Boîte de dialogue Options : Exporter

Option

Description

XFD

Format d'enregistrement de l'image dans fichier xfd

Dans la zone de liste déroulante, sélectionnez le format dans lequel votre image de formulaire sera enregistrée lors de l'exportation vers un fichier XFD. Vous avez deux possibilités :

  • EMF
  • TIFF

Image

Résolution des fichiers TIFF

Spécifie la résolution pour les fichiers TIFF dans laquelle les formulaires sont exportés.


Boîte de dialogue Propriétés : Ancre

Option | Description
Type | Définit le type d'ancre qui sera utilisé dans le formulaire. Un formulaire peut contenir des ancres d'un seul type.
Taille | Fixe la taille de l'ancre: la taille de chaque côté du carré noir ou la taille de chaque côté de l'angle.
Largeur de la ligne (angles uniquement) | Définit la largeur de ligne des côtés de l'angle.


Boîte de dialogue Propriétés du formulaire

Option | Description
Auteur | Nom de la personne qui a créé le formulaire.
État | État du formulaire : Brouillon, si des modifications sont autorisées sur le formulaire et Publié, si le formulaire est en lecture seule.
Date publiée | Date de publication du formulaire.
Identificateur | Valeur de l'identificateur de formulaire.
Fichier | Chemin d'accès au fichier contenant le formulaire.


Boîte de dialogue Paramètres de la page : Général

Boîte de dialogue Paramètres de page : Généralités

Option | Description
Nom | Spécifie le nom d'une page.
Apparitions min | Détermine le nombre minimum d'apparitions de la page actuelle dans le formulaire.
Apparitions mini | Détermine le nombre maximum d'apparitions de la page actuelle dans le formulaire.
Identificateur de page | Affiche la valeur de l'identificateur de page.


Boîte de dialogue Paramètres de la page : Taille

Boîte de dialogue Paramètres de page : Taille

Option | Description
Taille de la page | Sélectionnez l'un des formats de page standard dans la zone de liste déroulante (A3, A4 ou A5), ou définissez votre format de page personnalisé. Pour définir votre propre format de page, sélectionnez l'option Format personnalisé dans la liste et spécifiez la largeur et la hauteur souhaitées dans les champs correspondants.
Largeur | Définit la largeur de la page.
Hauteur | Définit la hauteur de la page.
Orientation |
Portrait | Définit l'orientation de la page sur portrait.
Paysage | Définit l'orientation de la page sur paysage.
Marges |
En haut | Définit la largeur de la marge supérieure.
En bas | Définit la largeur de la marge inférieure.
Gauche | Définit la largeur de la marge de gauche.
Droit | Définit la largeur de la marge de droite.


Boîte de dialogue Paramètres de la page : Couleur

Boîte de dialogue Paramètres de page : Couleur

Propriété

Description

Style

Définit le style du formulaire :

  • Formulaire dropout gris

  • Formulaire noir et blanc

  • Formulaire dropout orange

  • Formulaire dropout rouge

  • Formulaire dropout vert

Arrière-plan* de la page

Couleur*

Sélectionne une couleur d'arrière-plan de la page dans la zone de liste déroulante.

Remarque : Couleur ne peut être sélectionnée que pour les formulaires dropout couleur. Blanc est la couleur par défaut pour les formulaires en noir et blanc.

Taille*

Utilisez cette liste pour sélectionner la zone couverte par la couleur de fond. Vous avez deux possibilités :

  • Page entière (toute la page sera remplie, à l’exception des éléments de formulaire).

  • Marges internes (la page sera remplie, mais les marges de page et les éléments de formulaire resteront en blanc).

* - Cette propriété ne peut être spécifiée que pour les formulaires dropout uniquement.


Boîte de dialogue Propriétés : Alignement

Option

Description

Horizontal

Aligne horizontalement le texte à l'intérieur de l'élément :

  • Centre - centre le texte horizontalement

  • Gauche - aligne le texte sur le bord gauche de l'élément

  • Droite - aligne le texte sur le bord droit de l'élément

Vertical

Aligne verticalement le texte à l'intérieur de l'élément :

  • Bas - aligne le texte au bord inférieur de l'élément

  • Centre - centre le texte verticalement

  • Haut - aligne le texte sur le bord supérieur de l'élément

Orientation

Fixe l'orientation du texte.

  • Normal (horizontal) - le texte sera placé horizontalement, de gauche à droite
  • Vertical (haut en bas) - le texte sera placé verticalement, de haut en bas
  • Vertical (bas en haut) - le texte sera placé verticalement, de bas en haut


Boîte de dialogue Propriétés : Arrière-plan

Option | Description
Identique à l'arrière-plan du formulaire | Applique à l'arrière-plan de l'élément la même couleur qu'à l'arrière-plan du formulaire.
Autre | Sélectionne une couleur d'arrière-plan de l'élément dans la zone de liste déroulante. La gamme de couleurs disponibles dépend du type de votre formulaire (blanc et noir ou couleur).


Boîte de dialogue Propriétés : Champ de coche

Option

Description

Type

Forme du champ de coche :

  • Carré

  • Cercle

Position

Définit la position du champ de coche par rapport au texte descriptif :

  • A gauche du texte - champ de coche à gauche du texte

  • A droite du texte - champ de coche à droite du texte

  • Au-dessus du texte - champ de coche au-dessus du texte

  • En dessous du texte - champ de coche en dessous du texte

Taille

Une zone de liste déroulante contenant des tailles de champ prédéfinies (3,5x3,5 4x4 4,5x4,5 ou 5x5 mm).

Largeur de la ligne

Fixe la largeur des bordures de champ (varie entre 0,4 et 0,8 mm).

Espacement

Fixe l'espace entre le champ de coche et le texte descriptif (varie entre 2 mm et 7 mm).

Couleur

Sélectionne une couleur de bordure de champ dans la zone de liste déroulante.


?????? ????????: ???? ?????

Boîte de dialogue Propriétés : Date

Option

Description

Format de date

Spécifiez un format de date :

  • JJ.MM.AAAA
  • MM.JJ.AAAA
  • AAAA.MM.J

Chiffres pour l'année

Spécifiez un nombre de cellules pour l'année :

  • 2 (2 cellules seront disponibles)
  • 4 (4 cellules seront disponibles)

Séparateur

Sélectionnez un séparateur pour les dates :

  • .
  • /
  • -

Couleur

Sélectionne une couleur de séparateur dans la zone de liste déroulante*.

Texte des conseils

Sélectionne une couleur pour le texte des conseils. Le conseil apparaîtra dans le champ de date du formulaire : chaque lettre du texte des conseils sera placée dans la cellule correspondante.

Couleur

Sélectionne une couleur pour le texte des conseils dans la zone de liste déroulante*.

Police

Sélectionne une police pour le texte des conseils.

Police taille automatique

Sélectionne automatiquement la taille de la police du texte des conseils, selon la hauteur des cellules de caractère du champ.

*- La gamme de couleurs disponibles dépend du type de votre formulaire (blanc et noir ou couleur).

Remarque : Vous pouvez acheter des polices supplémentaires pour de multiples langues auprès de http://www.paratype.com/shop/.


Boîte de dialogue Propriétés : Marquage

Option

Description

Type de marquage

Fixe le type de marquage pour le texte :

  • Lettres dans des cadres séparés en pointillés

  • Lettres dans des cadres séparés

  • Lettres séparées type peigne

  • Texte encadré avec lettres séparées type peigne

  • Lettres encadrées

Taille des cellules

Fixe la taille des cellules de caractères :

  • Normal – taille de cellule standard (4x5 mm)

  • Grand – taille de cellule maximum (5x6,5 mm)

  • Petit – taille de cellule minimum (3x4 mm)

Ligne de marquage en gras (pour tous les types de marquage sauf pour les Lettres dans des cadres séparés en pointillés)

Met en gras le cadre des cellules.

Couleur de marquage

Sélectionne une couleur de marquage dans la zone de liste déroulante.

Lignes multiples

Ajoute des lignes multiples au champ d'entrée. (Uniquement pour l'élément champ d'entrée).


Boîte de dialogue Propriétés : Conseil

Option | Description
Texte | Fixe le texte des conseils. Le conseil apparaîtra dans le champ d'entrée du formulaire : chaque lettre du texte des conseils sera placée dans la cellule correspondante.
Couleur | Sélectionne une couleur pour le texte des conseils dans la zone de liste déroulante*.
Police | Sélectionne une police pour le texte des conseils.
Police taille automatique | Sélectionne automatiquement la taille de la police du texte des conseils, selon la hauteur des cellules de caractère du champ.

*- La gamme de couleurs disponibles dépend du type de votre formulaire (blanc et noir ou couleur).

Remarque : Vous pouvez acheter des polices supplémentaires et une assistance pour polices multilingues sur www.paratype.com/shop/.


Boîte de dialogue Propriétés : Champ relié

Option | Description
Champ relié | A chaque fois que vous créez un élément sur votre formulaire, un champ est créé, par défaut, dans la structure du document à laquelle cet élément est relié. Pour relier votre élément à un autre champ du même type, sélectionnez le nom du champ dans la zone de liste déroulante.


Boîte de dialogue Propriétés : Texte

Option | Description
Texte | Texte à l'intérieur de l'élément.
Police | Police utilisée pour le texte à l'intérieur de l'élément. Pour modifier la police, sa taille et son style (italique, gras, souligné, etc.), cliquez sur Modifier … et dans la boîte de dialogue Police qui s'affiche, sélectionnez la police, la taille de police et le style souhaités.
Couleur | Sélectionne une couleur de texte dans la zone de liste déroulante.
Retour à la ligne automatique | Insère des sauts de ligne du texte sans couper les mots.

Remarque : Vous pouvez acheter des polices supplémentaires et une assistance pour polices multilingues sur www.paratype.com/shop/.


Boîte de dialogue Propriétés : Ligne

Option

Description

Largeur

Fixe la largeur de ligne (varie entre 0,3 mm et 6 mm).

Style

Fixe le style de la ligne :

  • Tirets

  • Pointillés

  • Plein

Couleur

Sélectionne une couleur de ligne dans la zone de liste déroulante.


Boîte de dialogue Propriétés : Élément

Option | Description
Type | Type de l'élément.
Position & Taille |
Gauche | Définit la largeur de la marge de gauche.
En haut | Définit la largeur de la marge supérieure.
Largeur | Définit la largeur de la page.
Hauteur | Définit la hauteur de la page.


Boîte de dialogue Propriétés : Identificateur

Option

Description

Type

Définit le type d'identificateur de formulaire :

  • Code barre uniquement

  • Code barre à chiffres

  • Chiffres uniquement

Type de code-barre

Sélectionne le type de code barre si le type d'identificateur est réglé sur Code barre uniquement ou Code barre à chiffres et si l'option Valeur personnalisée est sélectionnée.

Types de code barre disponibles :

  • EAN13
  • EAN8

Si l'option Valeur personnalisée n'est pas sélectionnée, le Type de code-barre sera grisé. Le type de code barre EAN13 sera utilisé.

Orientation

Fixe l'orientation du code barre :

  • Horizontal
  • Vertical

Valeur

La valeur de l' Identificateur

Les valeurs de l'identificateur ne peuvent être modifiées que si l'option Valeur personnalisée est sélectionnée. Pour EAN13, les valeurs personnalisées doivent contenir 12 chiffres et pour EAN8 les valeurs personnalisées doivent contenir 7 chiffres. Des valeurs plus longues ou plus courtes ou des caractères autres que des chiffres sont interdits. Pour EAN13, un chiffre de contrôle supplémentaire est ajouté au début de la chaîne (en dehors du code barre lui-même) et pour EAN8 un chiffre de contrôle supplémentaire est ajouté à la fin de la chaîne à l'intérieur du code barre.

Si l'option Identificateur de formulaire ou Identificateur de page est sélectionnée, l'identificateur se verra automatiquement affecter une valeur lorsque le formulaire sera publié. Avant qu'un formulaire soit publié, il possède un statut Modifiable et il n'y a pas encore d'identificateur affecté.

Identificateur de formulaire

Utilise un élément comme identificateur de formulaire.

Identificateur de page

Utilise un élément comme identificateur pour la page actuelle.

Valeur personnalisée

Permet des valeurs personnalisées pour un identificateur. Cette option n'est pas disponible pour des identificateurs à Chiffres uniquement.


Boîte de dialogue Propriétés : Nombre

Option

Description

Places des décimales

Sélectionnez un nombre d'emplacements de décimales pour les nombres décimaux.

Séparateur

Sélectionnez un séparateur pour les chiffres :

  • .
  • /
  • -

Couleur

Sélectionne une couleur de séparateur dans la zone de liste déroulante*.

Texte des conseils

Sélectionne une couleur pour le texte des conseils. Le conseil apparaîtra dans le champ numérique du formulaire : chaque lettre dans la cellule correspondante.

Couleur

Sélectionne une couleur pour le texte des conseils dans la zone de liste déroulante*.

Police

Sélectionne une police pour le texte des conseils.

Police taille automatique

Sélectionne automatiquement la taille de la police du texte des conseils, selon la hauteur des cellules de caractère du champ.

*- La gamme de couleurs disponibles dépend du type de votre formulaire (blanc et noir ou couleur).

Remarque : Vous pouvez acheter des polices supplémentaires et une assistance pour polices multilingues sur www.paratype.com/shop/.


Boîte de dialogue Propriétés : Image

Option

Description

Mode taille

Modifie la taille de l'élément dans un des trois modes :

  • Clip – modifie la taille de l'élément mais pas celle de l'image ni ses proportions.
    L'image elle-même ne peut pas être agrandie dans ce mode.
    Si l'élément devient plus petit que l'image, une partie de celle-ci sera invisible sur le formulaire.

  • Étirer – modifie la taille de l'élément et rétrécit ou agrandit l'image en fonction de la taille de l'élément. L'image entière sera toujours affichée, mais ses proportions ne seront pas conservées.

  • Zoom – modifie la taille de l'élément et réduit ou agrandit la taille de l'image proportionnellement à celle de l'élément. L'image entière sera toujours affichée et ses proportions seront conservées.

Alignement

Aligne l'image à l'intérieur de l'élément :

  • Supérieur gauche – place l'image dans l'angle supérieur gauche de l'élément.

  • Supérieur droit – place l'image dans l'angle supérieur droit de l'élément.

  • Centre – place l'image au centre de l'élément.

  • Inférieur gauche – place l'image dans l'angle inférieur gauche de l'élément.

  • Inférieur droit – place l'image dans l'angle inférieur droit de l'élément.

Source

Indique le fichier image source.

Pour indiquer le fichier source à partir duquel l'image sera rechargée :

  1. Cliquez sur « … ».

  2. Dans la boîte de dialogue qui s'affiche, recherchez le fichier contenant l'image que vous souhaitez ajouter au formulaire.

Les formats d'image suivants sont pris en charge :

  • Fichiers Bitmap (*.bmp)
  • Fichiers DCX (*.dcx)
  • Fichiers PEG (*.jpg; *.jpeg; *.jfif)
  • Fichiers PCX (*.pcx)
  • Fichiers PNG (*.png)
  • Fichiers TIFF (*.tif; *.tiff)
  • Fichiers Windows Enhanced Metafiles (*.emf)


Диалог Свойства: Поле метки

Boîte de dialogue Propriétés : Tableau

Option | Description
Espacement des cellules | Fixe la distance entre les cellules du tableau.
Utiliser la première ligne comme en-tête | Si cette option est sélectionnée, la première ligne contiendra les noms des colonnes.


Boîte de dialogue Options : Affichage

Option | Description
Langue de l'interface | Sélectionne une langue de l'interface. Cette langue sera utilisée pour tous les messages du programme, titres des boîtes de dialogue et options de menu. Pour valider les modifications, cliquez sur OK et relancez ABBYY FormDesigner 8.0. Par défaut, la langue de l'interface est identique à celle que vous avez sélectionnée lors de l'installation.
Grille |
Afficher la grille | Affiche la grille. L'option n'est pas cochée par défaut.
Largeur | Définit la largeur des cellules de la grille en mm. La valeur par défaut est 2 mm.
Hauteur | Définit la hauteur des cellules de la grille en mm. La valeur par défaut est 2 mm.
Étendre à la grille | Aligne l'angle supérieur gauche des éléments récemment créés sur le nœud de grille le plus proche. En déplaçant un élément de formulaire, il sera également aligné sur le nœud de grille le plus proche.
Couleur | Modifie la couleur des marges, des règles et de l'arrière-plan du texte édité tel qu'affiché à l'écran. Dans le volet Éléments, sélectionnez un élément et cliquez sur le rectangle de couleur en dessous. Dans la boîte de dialogue Couleur qui s'affiche, sélectionnez la couleur de votre choix.
Afficher la règle | Affiche/masque la règle.
Afficher les marges | Affiche/masque les marges du formulaire.
Éditeur de texte |
Largeur de l'onglet | Définit le nombre d'espaces qui sera inséré dans l'éditeur de texte lorsque vous appuierez sur la touche Tab.